<?php
session_start();

require_once('settings.php');
require_once(CONNDB_SCRIPT_PATH);
require_once('models/ShoppingCart.php');

$is_cart_mode = $ShoppingCart->isCartMode();

?>

<div class="item-added-popup-outer" id="item-added-popup-main" data-item-id="">
    <div class="item-added-popup-inner">
        <div class="item-added-top">
            <div class="item-added-image"><img /></div><!--
              --><div class="item-added-text">
                <div class="item-added-checkmark"><img src="<?= IMG_DIRECTORY ?>/check-icon.svg"><span>Added to <?= $is_cart_mode == 1 ? 'Cart' : 'Quote' ?></span></div>
                <div class="item-added-name"><span class="item-added-brand"></span> <span class="item-added-description"></span></div>
                <div class="item-added-model-sku"><span>Model#</span> <span class="item-added-model-value"></span></div>
                <button class="item-added-popup-close">x</button>
            </div>
        </div>
        <div class="item-added-middle" style="<?= $is_cart_mode == 0 ? 'display:none' : '' ?>">
            <div id="item-add-zip-container" style="<?= isset($_COOKIE['shipping_zip']) ? 'display:none' : '' ?>">
                <div id="item-add-zip-header"><span>Enter Zip Code</span><span>*</span><span>For delivery options</span></div>
                <div id="item-zip-container"><input type="text" id="zipcode" placeholder="My zip code is…" autocomplete="off" maxlength="5" /><button id="add-zip-code-button">Add Zip Code</button></div>
                <div id="item-zip-error"></div>
            </div>
            <div id="item-zip-added-container" style="<?= isset($_COOKIE['shipping_zip']) ? '' : 'display:none' ?>">
                <span>Zip Code</span><span id="current-zip"><?= isset($_COOKIE['shipping_zip']) ? $_COOKIE['shipping_zip'] : '' ?></span><button id="change-zip-code-button">Change</button>
            </div>
        </div>
        <div class="item-added-bottom">
            <div class="item-added-buttons">
                <a href="<?= (isset($_COOKIE['shipping_zip']) || $is_cart_mode == 0) ? CART_PAGE : '#' ?>" class="item-added-cart-button <?= (isset($_COOKIE['shipping_zip']) || $is_cart_mode == 0) ? '' : 'item-added-cart-button-disabled' ?>"><img src="<?= IMG_DIRECTORY ?>/lock-icon.svg"><span><?= $is_cart_mode == 1 ? 'Start Checkout' : 'Continue to Quote' ?></span></a>
                <a href="#" class="item-added-continue-button">Continue Shopping</a>
            </div>
            <div class="item-added-message">Final discounts, tax, and shipping costs at checkout.</div>
        </div>
    </div>
</div>
 
<style type="text/css">

.item-added-popup-outer {
    position: fixed;
    background-color: rgba(0,0,0,0.5);
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    z-index: 999999999;
    display: none;
}

.item-added-popup-inner {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 1px solid #707070;
    background-color: white;
    box-sizing: border-box;
    line-height: 1.5;
}

.item-added-top {
    padding: 20px;
    border-bottom: 2px solid #DA1206;
}

.item-added-image {
    display: inline-block;
    vertical-align: middle;
    width: 12.5%;
    margin: 0 2.5% 0 0; 
}

.item-added-image img {
    width: 100%;
}

.item-added-text {
    display: inline-block;
    vertical-align: middle;
    width: 85%;
}

.item-added-checkmark {
    font-size: 24px;
    font-weight: 700;
    color: #038800;
}

.item-added-checkmark img {
    display: inline-block;
    vertical-align: middle;
    width: 22px;
    margin: 0 10px 0 0;
}

.item-added-checkmark span {
    display: inline-block;
    vertical-align: middle;
}

.item-added-name {
    margin: 20px 0;
    font-size: 22px;
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.item-added-brand {
    font-weight: 700;
}

.item-added-model-sku {
    font-size: 14px;
    color: #676767;
    font-weight: 700;
}

.item-added-model-sku span {
    display: inline-block;
    vertical-align: middle;
}

.item-added-model-value {
    margin: 0 20px 0 0;
    font-weight: normal;
}

.item-added-popup-close {
    position: absolute;
    right: 5px;
    top: 5px;
    color: #676767;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 30px;
    font-family: inherit;
}

.item-added-middle {
    padding: 40px 20px;
}

#item-add-zip-container {

}

#item-add-zip-header {
    margin: 0 0 10px 0;
}

#item-add-zip-header span:nth-child(1) {
    font-weight: 700;
    font-size: 20px;
    display: inline-block;
    vertical-align: middle;
}

#item-add-zip-header span:nth-child(2) {
    display: inline-block;
    vertical-align: super;
    color: #DA1206;
    margin: 0 15px 0 0;
}

#item-add-zip-header span:nth-child(3) {
    font-size: 16px;
    display: inline-block;
    vertical-align: middle;
}

#item-zip-container {
    width: 40%;
    border-radius: 6px;
}

#zipcode {
    width: 65%;
    display: inline-block;
    vertical-align: middle;
    border-radius: 6px 0 0 6px;
    font-size: inherit;
    font-family: inherit;
    border: 1px solid #676767;
    border-right: none;
    box-sizing: border-box;
    height: 50px;
    line-height: 50px;
    padding: 0 10px;
    transition: none;
    margin: 0 0 0 0;
}

.invalid-zip {
    border: 2px solid #DA1206 !important;
    border-right: none !important;
}

#add-zip-code-button {
    width: 35%;
    display: inline-block;
    vertical-align: middle;
    border-radius: 0 6px 6px 0;
    font-size: inherit;
    font-family: inherit;
    border: 1px solid #2A4496;
    color: white;
    background-color: #2A4496;
    cursor: pointer;
    box-sizing: border-box;
    height: 50px;
    line-height: 50px;
}

#item-zip-error {
    margin: 15px 0 0 0;
    color: #DA1206;
}

#item-zip-added-container {

}

#item-zip-added-container span:nth-child(1) {
    display: inline-block;
    vertical-align: middle;
    font-weight: 700;
    font-size: 20px;
}

#item-zip-added-container span:nth-child(2) {
    display: inline-block;
    vertical-align: middle;
    padding: 0 0 3px 0;
    border-bottom: 1px dashed #CCCCCC;
    margin: 0 20px 0 10px;
    font-size: 18px;
}

#change-zip-code-button {
    display: inline-block;
    vertical-align: middle;
    background: none;
    padding: 0;
    cursor: pointer;
    color: #676767;
    font-size: 12px;
    font-family: inherit;
    border: none;
}

.item-added-bottom {
    padding: 20px;
    background-color: #F7F7F7;
}

.item-added-buttons {
    margin: 0 0 15px 0;
}

.item-added-cart-button {
    text-align: center;
    background-color: #088A06;
    border: 2px solid #036901;
    min-width: 200px;
    padding: 10px;
    color: white;
    display: inline-block;
    vertical-align: middle;
    border-radius: 6px;
    margin: 0 20px 0 0;
    text-decoration: none;
    font-size: 18px;
}

.item-added-cart-button-disabled {
    background-color: #F3C2BD !important;
    border: none !important;
    color: white !important;
}

.item-added-cart-button img {
    display: inline-block;
    vertical-align: middle;
    width: 15px;
    margin: 0 20px 0 0;
}

.item-added-cart-button span {
    display: inline-block;
    vertical-align: middle;
}

.item-added-cart-button:visited {
    color: white;
}

.item-added-continue-button {
    text-align: center;
    background-color: white;
    border: 2px solid #676767;
    min-width: 150px;
    padding: 10px;
    color: #676767;
    display: inline-block;
    vertical-align: middle;
    border-radius: 6px;
    text-decoration: none;
    font-size: 18px;
}

.item-added-continue-button:visited {
    color: #676767;
}

.item-added-message {
    color: #676767;
    font-size: 14px;
}

@media screen and (min-width:300px) and (max-width:768px) { 
    .item-added-popup-inner  {
        width: 90%;
    }
}

@media screen and (min-width:769px) { 
    .item-added-popup-inner  {
        width: 50%;
    }
}

</style>

<script>

var _ADD_CART_AJAX_URL = '<?= AJAX_PAGE ?>',
    _ADD_CART_MAIN_CART_PAGE = '<?= CART_PAGE ?>',
    _ADD_CART_IS_CART_MODE = <?= $is_cart_mode ?>;

document.querySelector(".item-added-popup-close").addEventListener('click', function() {
    document.querySelector("#item-added-popup-main").style.display = 'none';
});

document.querySelector(".item-added-continue-button").addEventListener('click', function() {
    document.querySelector("#item-added-popup-main").style.display = 'none';
});

document.querySelector("#add-zip-code-button").addEventListener('click', function() {
    var zip = document.querySelector("#zipcode").value,
        xhr,
        formdata,
        zipcode_regex = /(^\d{5}$)|(^\d{5}-\d{4}$)/;

    document.querySelector("#zipcode").classList.remove('invalid-zip');

    if(!zipcode_regex.test(zip)) {
        document.querySelector("#zipcode").classList.add('invalid-zip');
        return;
    }

    formdata = new FormData();
    formdata.append('operation', 'setZipCode');
    formdata.append('zip', zip);

    document.querySelector("#add-zip-code-button").disabled = true;

    xhr = new XMLHttpRequest();
    xhr.open('POST', _ADD_CART_AJAX_URL);
    xhr.onreadystatechange = function () {
        if(xhr.readyState == 4) {
            var response = JSON.parse(xhr.responseText);
            document.querySelector("#add-zip-code-button").disabled = false;

            if(xhr.status == 200) {
                if('updated' in response) {
                    document.querySelector("#item-add-zip-container").style.display = 'none';
                    document.querySelector("#zipcode").value = '';

                    document.querySelector("#item-zip-added-container").style.display = 'block';
                    document.querySelector("#current-zip").innerHTML = zip;
                    document.querySelector(".item-added-cart-button").href = _ADD_CART_MAIN_CART_PAGE;
                    document.querySelector(".item-added-cart-button").classList.remove('item-added-cart-button-disabled');
                }
            }
            else if(xhr.status == 400) {
                document.querySelector("#item-zip-error").innerHTML = response.message; 
                document.querySelector("#item-zip-error").style.display = 'block';
                setTimeout(function() {
                    document.querySelector("#item-zip-error").style.display = 'none';
                }, 10000);
                document.querySelector(".item-added-cart-button").href = '#';
                document.querySelector(".item-added-cart-button").classList.add('item-added-cart-button-disabled');
            }  
        }
    };
    xhr.send(formdata);
});

document.querySelector("#change-zip-code-button").addEventListener('click', function() {
    document.querySelector("#item-add-zip-container").style.display = 'block';
    document.querySelector("#item-zip-added-container").style.display = 'none';
});

(function() {
    for(var i=0; i<document.querySelectorAll(".add-cart-form").length; i++) {
        document.querySelectorAll(".add-cart-form")[i].addEventListener('submit', addProduct);
    }

    if(_ADD_CART_IS_CART_MODE == 0) {
        for(var i=0; i<document.querySelectorAll(".product-model-add-cart").length; i++) {
            if(document.querySelectorAll(".product-model-add-cart")[i].tagName == 'BUTTON')
                document.querySelectorAll(".product-model-add-cart")[i].innerHTML = 'Add to Quote';
            else if(document.querySelectorAll(".product-model-add-cart")[i].tagName == 'INPUT')
                document.querySelectorAll(".product-model-add-cart")[i].value = 'Add to Quote';
        }
    }
})();

function addProduct(e) {
    var product_id = this.getAttribute('data-product-id'),
        is_outlet = (this.hasAttribute('data-outlet') ? this.getAttribute('data-outlet') : 0),
        quantity = (this.querySelector(".quantity") === null ? 1 : this.querySelector(".quantity").value),
        warranty,
        xhr,
        formdata,
        addons = [],
        options = {},
        that = this;

    if(this.querySelector(".warrantyChoiceRadio") === null || this.querySelector(".warrantyChoiceRadio:checked") === null)
        warranty = 0;
    else
        warranty = this.querySelector(".warrantyChoiceRadio:checked").value;

    formdata = new FormData();
    formdata.append('operation', 'addProduct');
    formdata.append('id', product_id);
    formdata.append('quantity', quantity);
    formdata.append('outlet', is_outlet);
    if(warranty != '0')
        formdata.append('warranty', warranty);
    
    if(document.querySelector("input[name='addons']") !== null) {
        document.querySelectorAll("input[name='addons']").forEach(function(element) {
            addons.push(element.value);
        });
    }

    if(this.querySelectorAll(".addon-checkbox").length != 0) {
        this.querySelectorAll(".addon-checkbox").forEach(function(element) {
            if(element.checked)
                addons.push(element.value);
        });
    }
    if(addons.length > 0)
        formdata.append('addons', addons.join('-'));

    for(var i=0; i<this.querySelectorAll(".cart_option_list").length; i++) {
        if(this.querySelectorAll(".cart_option_list")[i].value != '0')
            options['option-' + this.querySelectorAll(".cart_option_list")[i].getAttribute('data-option-type-id')] = this.querySelectorAll(".cart_option_list")[i].value;
    }
    if(Object.keys(options).length != 0)
        formdata.append('options', JSON.stringify(options));

    this.querySelector(".product-model-add-cart").disabled = true;

    xhr = new XMLHttpRequest();
    xhr.open('POST', _ADD_CART_AJAX_URL);
    xhr.onreadystatechange = function () {
        if(xhr.readyState == 4) {
            var response = JSON.parse(xhr.responseText);
            that.querySelector(".product-model-add-cart").disabled = false;

            if(xhr.status == 200) {
                if('added' in response) {
                    document.querySelector("#item-added-popup-main .item-added-image img").setAttribute('src', response.info.thumb);
                    document.querySelector("#item-added-popup-main .item-added-brand").innerHTML = response.info.CommonBrandName;
                    document.querySelector("#item-added-popup-main .item-added-description").innerHTML = response.info.ModelDescription;
                    document.querySelector("#item-added-popup-main .item-added-model-value").innerHTML = response.info.SKU;

                    document.querySelector("#item-added-popup-main").style.display = 'block';
                    document.querySelector("#item-added-popup-main").setAttribute('data-item-id', response.item_id);

                    if(!document.querySelector(".item-added-cart-button").classList.contains('item-added-cart-button-disabled'))
                        document.querySelector(".item-added-cart-button").href = _ADD_CART_MAIN_CART_PAGE;

                    if(document.querySelector("#num-cart-items") !== null)
                        document.querySelector("#num-cart-items").innerHTML = response.num_cart_items;
                    if(document.querySelector("#cart-subtotal") !== null)
                        document.querySelector("#cart-subtotal").innerHTML = '$' + response.cart_subtotal;
                    if(document.querySelector("#cart-sidebar") !== null)
                        document.querySelector("#cart-sidebar").setAttribute('data-init', '0');
                }
            }
            else if(xhr.status == 400) {
                that.querySelector(".cart-add-error").innerHTML = response.message; 
                that.querySelector(".cart-add-error").style.display = 'block';
                setTimeout(function() {
                    that.querySelector(".cart-add-error").style.display = 'none';
                }, 3000);
            }  
        }
    };
    xhr.send(formdata);

    e.preventDefault();
    return false;
}

</script>