<?php
require_once('settings.php');
?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=1.0,user-scalable=no">
<link href='https://fonts.googleapis.com/css?family=Roboto:400,700,300' rel='stylesheet' type='text/css'>
<script src="//ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
<style type="text/css">

html {
	height: 100%;
}

body {
    font-size: 14px;
    margin: 0; 
    color: #333333;
    height: 100%;
}

#cart-sidebar-container {
	min-height: 100%;
}

#cart-price-loader-container {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(255,255,255,0.9);
    top: 0;
    left: 0;
    display: none;
}

#cart-price-loader {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 18px;
    font-weight: 700;
    color: #2A4496;
}

#cart-summary-upper {
    padding: 20px 20px 30px 20px;
    display: none;
}

#cart-summary-header {
    font-size: 24px;
    padding: 0 0 12px 0;
    border-bottom: 2px solid #D8D6D6;
    margin: 0 0 15px 0;
    position: relative;
}

#close-sidebar {
	position: absolute;
	top: 50%;
	right: 10px;
	transform: translateY(-50%);
	background: none;
	border: none;
	font-size: inherit;
	font-family: inherit;
	cursor: pointer;
	padding: 0;
	outline: none;
	padding: 0 0 12px 0;
}

.cart-price-field {
    margin: 0 0 15px 0;
}

.cart-summary-item-image {
	width: 20%;
	display: inline-block;
    vertical-align: top;
    margin: 0 5% 0 0;
}

.cart-price-field-name {
    display: inline-block;
    vertical-align: top;
    width: 50%;
}

.cart-price-field-name span {
    display: block;
}

.cart-summary-item-name {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 100%;
}

.cart-summary-item-quantity {
    font-size: 14px;
    color: #676767;
    margin: 5px 0 0 0;
}

.cart-price-field-value {
    display: inline-block;
    vertical-align: top;
    width: 25%;
    text-align: right;
}

#cart-subtotal {
    padding: 10px 0 0 0;
    border-top: 2px solid #D8D6D6;
}

#cart-subtotal-header {
	display: inline-block;
    vertical-align: top;
    width: 75%;
}

#cart-subtotal-value {
	display: inline-block;
    vertical-align: top;
    width: 25%;
    text-align: right;
}

#view-cart-link {
	color: #2A4496;
	font-weight: 700;
	margin: 20px 0 0 0;
	display: inline-block;
	text-decoration: none;
}

#view-cart-link:hover {
	text-decoration: underline;
}

#view-cart-link:visited {
	color: #2A4496;
}

#cart-summary-item-template {
    display: none;
}

</style>
</head>

<body>

<div id="cart-sidebar-container">
	<div id="cart-price-loader-container">
        <div id="cart-price-loader">Getting Cart ..</div>
    </div>
    <div id="cart-summary-upper">
        <div id="cart-summary-header">Your Cart<button id="close-sidebar">&#10005;</button></div>
        <div id="cart-summary-items-container"></div>
        <div id="cart-subtotal" class="cart-price-field">
            <div id="cart-subtotal-header">Subtotal</div><div id="cart-subtotal-value"></div>
        </div>
        <a href="<?= CART_PAGE ?>" id="view-cart-link" target="_top">View Cart</a>
    </div>
</div>

<div id="cart-summary-item-template">
    <div class="cart-price-field">
        <img class="cart-summary-item-image" /><!--
     --><div class="cart-price-field-name">
            <span class="cart-summary-item-name"></span>
            <span class="cart-summary-item-quantity"></span>
        </div><!--
     --><div class="cart-price-field-value"></div>
    </div>
</div>

<script>

var CartSidebar = {
    ajax_url: '<?= AJAX_PAGE ?>',

    init: function() {
        this.addEvents();
    },

    addEvents: function() {
        var that = this;

        $("#close-sidebar").on('click', function() {
            window.top.postMessage('CLOSE', "*");
        });

        window.addEventListener('message', function(e) {
            console.log(e.data);
            if(e.data == 'REFRESH') {
                that.getCartPrice();
            }
        });
    },

    getCartPrice: function() {
        $("#cart-price-loader-container").show();
        $("#cart-summary-upper").hide();

        $.ajax({
            type: 'GET',
            url: this.ajax_url,
            data: { operation: 'getCartItemListWithPrices' },
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                $("#cart-price-loader-container").hide();
                
                if(response.items.length == 0) {
                    $("#cart-summary-upper").show();
                    $("#cart-summary-items-container").html('<div style="margin-top:40px;">No items in the cart</div>');
                    $("#cart-subtotal").hide();
                    $("#view-cart-link").hide();
                }
                else {
                	this.showCartPrice(response);
                }
            }, this),
            error: function(response) {
                
            }
        });
    },

    showCartPrice: function(data) {
        var cart_summary_item_template;

        document.querySelector("#cart-summary-items-container").innerHTML = '';
        for(var i=0; i<data['items'].length; i++) {
            cart_summary_item_template = document.querySelector("#cart-summary-item-template .cart-price-field").cloneNode(true);
            cart_summary_item_template.querySelector(".cart-summary-item-image").src = data['items'][i]['image'];
            cart_summary_item_template.querySelector(".cart-summary-item-name").innerHTML = data['items'][i]['name'];
            cart_summary_item_template.querySelector(".cart-summary-item-quantity").innerHTML = 'Qty: ' + data['items'][i]['quantity'];
            cart_summary_item_template.querySelector(".cart-price-field-value").innerHTML = data['items'][i]['total_price_formatted'];

            document.querySelector("#cart-summary-items-container").appendChild(cart_summary_item_template);
        }

        document.querySelector("#cart-subtotal-value").innerHTML = data['subtotal_price']['formatted_price'];
        document.querySelector("#cart-summary-upper").style.display = 'block';
    }
};

CartSidebar.init();

</script>

</body>
</html>