<?php
session_start();
require_once('settings.php');
require_once(CONNDB_SCRIPT_PATH);
require_once('models/ShoppingCart.php');

if(HAS_PAYPAL == 1) {
    $paypal_api_keys = $ShoppingCart->getPaypalApiKeys();
}

$delivery_type = $ShoppingCart->getDeliveryType();
$client_id = $ShoppingCart->getClientID();
$is_cart_mode = $ShoppingCart->isCartMode();

if(HAS_SYNCHRONY == 1) {
    $synchrony_api_keys = $ShoppingCart->getSynchronyApiKeys();
}

if(HAS_WELLSFARGO == 1) {
    $wellsfargo_api_keys = $ShoppingCart->getWellsFargoApiKeys();
}

if(HAS_AMAZONPAY == 1) {
    $amazonpay_api_keys = $ShoppingCart->getAmazonPayApiKeys();
}

?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=1.0,user-scalable=no">
<script src="//ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js"></script>
<style type="text/css">

html {
    scroll-behavior: smooth;
}

body {
    margin: 0; 
}

#checkout-container {
    max-width: 1200px;
    margin: 80px auto;
}

#shopping-cart-loader {
    text-align: center;
    display: none;
}

#shopping-cart-empty {
    text-align: center;
    display: none;
}

#checkout-container-inner {
    display: none;
}


/* checkout forms */
#checkout-forms-container {
    display: inline-block;
    vertical-align: top;
    width: 60%;
    margin: 0 10% 0 0;
    line-height: 1.5;
}

#checkout-header {
    font-weight: 700;
    font-size: 24px;
    border-bottom: 2px solid #D8D6D6;
    padding: 0 0 5px 0;
    margin: 0 0 30px 0;
}

#checkout-forms-slider-outer {
    overflow: hidden;
}

#checkout-forms-slider-inner {
    width: 400%;
    transition: transform 0.5s;
}

.checkout-form {
    margin: 0 0 80px 0;
    width: 25%;
    display: inline-block;
    vertical-align: top;
    font-size: 14px;
}

.checkout-form-header {
    background-color: #F7F7F7;
    padding: 15px 20px;
    position: relative;
    margin: 0 0 15px 0;
}

.checkout-form-header label {
    display: inline-block;
    vertical-align: middle;
    padding: 0 0 5px 0;
    border-bottom: 3px solid #DA1206;
    font-weight: 700;
    font-size: 20px;
    margin: 0;
    line-height: normal;
    text-align: left;
    float: none;
    width: auto;
}

#checkout-login-container {
    font-size: 13px;
    margin: 0 0 25px 0;
    padding: 0 30px;
}

#checkout-login-container a {
    color: #1C70A0 !important;
    text-decoration: none;
}

#checkout-login-container a:hover {
    text-decoration: underline;
}

.checkout-form-to-fill {
    padding: 0 30px;
}

.checkout-form[data-step="2"] .checkout-form-to-fill,
.checkout-form[data-step="3"] .checkout-form-to-fill,
.checkout-form[data-step="4"] .checkout-form-to-fill {
    
}

#pickup-stores-container {
    
}

#pickup-stores {
    display: block;
    font-size: inherit;
    font-family: inherit;
    border: 1px solid #cccccc;
    padding: 10px;
    outline: none;
    width: 100%;
    box-sizing: border-box;
    background-color: white;
    border-radius: 3px;
    box-shadow: none;
    transition: none;
    height: auto;
    margin: 0;
    color: inherit;
    line-height: normal;
}

#shipping-address-container {
    
}

.checkout-shipping-billing-same-container {
    margin: 0 0 15px 0;
}

.checkout-shipping-billing-same {
    display: inline-block;
    vertical-align: middle;
    margin: 0 5px 0 0 !important;
    appearance: none;
    width: 18px !important;
    height: 18px;
    border: 2px solid #111111;
    background-clip: content-box;
    padding: 3px !important;
}

.checkout-shipping-billing-same:checked {
    background-color: #111111;
}

.checkout-shipping-billing-same-container label {
    display: inline-block;
    vertical-align: middle;
    margin: 0;
    line-height: normal;
    text-align: left;
    float: none;
    width: auto;
    font-weight: normal;
}

#payment-types-container {

}

.payment-type-option {
    margin: 0 0 25px 0;
}

.payment-type-option input[type="radio"] {
    display: inline-block;
    vertical-align: middle;
    margin: 0;
    appearance: none;
    width: 18px;
    height: 18px;
    border: 2px solid #111111;
    border-radius: 50%;
    background-clip: content-box;
    padding: 3px;
    outline: none;
    box-shadow: none;
}

.payment-type-option input[type="radio"]:checked {
    background-color: #111111;
}

.payment-type-option span {
    display: inline-block;
    vertical-align: middle;
    width: 35px;
}

.payment-type-option label {
    display: inline-block;
    vertical-align: middle;
    margin: 0;
    font-weight: normal;
    width: auto;
    float: none;
}

#cc-logo-button {
    background-color: #104869;
    color: white;
    font-size: 15px;
    padding: 0 25px;
    font-weight: 400;
    height: 35px;
    line-height: 35px;
    border-radius: 4px;
}

.payment-type-option label img {
    display: inline-block;
    vertical-align: middle;
}

#credit-card-container {
    display: none;
    margin: 0 0 0 ;
}

.checkout-form-fields-container {
    
}

.form-element-parent {

}

#billing-address-street-2-container, #shipping-address-street-2-container {
    display: none;
}

.show-street-2-container {
    color: #1C70A0;
    font-size: 12px;
    margin: 5px 0 0 0;
    cursor: pointer;
}

.form-element {
    margin: 0 10% 30px 0;
    width: 45%;
    display: inline-block;
    vertical-align: top;
}

.form-element:last-child {
    margin-right: 0 !important;
}

.form-element-parent-3n .form-element {
    margin: 0 8% 20px 0;
    width: 28%;
}

.form-element label {
    display: block;
    margin: 0 0 5px 0;
    line-height: normal;
    text-align: left;
    float: none;
    width: auto;
    font-weight: normal;
}

.form-element em {
    color: #e74c3c;
    font-style: normal;
}

.form-element input[type="text"], .form-element input[type="email"] {
    display: block;
    font-size: inherit;
    font-family: inherit;
    border: 1px solid #cccccc;
    outline: none;
    width: 100%;
    box-sizing: border-box;
    border-radius: 4px;
    box-shadow: none;
    transition: none;
    height: auto;
    margin: 0;
    color: inherit;
    line-height: 40px;
    height: 40px;
    padding: 0 0 0 10px;
}

.form-element input[type="text"]:focus, .form-element input[type="email"]:focus {
    border: 1px solid #343434;
}

.form-element input:focus:invalid, .form-element textarea:focus:invalid, .form-element select:focus:invalid {
    box-shadow: none;
    border: 1px solid #343434;
    color: inherit;
}

.form-element select {
    display: block;
    font-size: inherit;
    font-family: inherit;
    border: 1px solid #cccccc;
    outline: none;
    width: 100%;
    box-sizing: border-box;
    background-color: white;
    border-radius: 4px;
    box-shadow: none;
    transition: none;
    height: auto;
    margin: 0;
    color: inherit;
    line-height: 40px;
    height: 40px;
    padding: 0 0 0 10px;
    appearance: none;
}

.form-element select:focus {
    border: 1px solid #343434;
}

.form-element .field-error {
    border: 1px solid #d63031 !important;
    background-color: rgba(207, 106, 135,0.1);
}

.checkout-form-button-container {
    overflow: hidden;
    margin: 40px 0 0 0;
}

.checkout-form-back-button {
    background-color: white;
    border: 1px solid transparent;
    color: #1C70A0;
    cursor: pointer;
    padding: 10px 0;
    outline: none;
    font-family: inherit;
    font-size: 12px;
    display: block;
    margin: 20px 0 0 0;
}

.checkout-form-button {
    background-color: #088A06;
    border: 2px solid #036901;
    color: white;
    border-radius: 3px;
    cursor: pointer;
    padding: 10px;
    outline: none;
    font-family: inherit;
    font-size: 18px;
    min-width: 300px;
}

.checkout-form-button img {
    display: inline-block;
    vertical-align: middle;
    width: 15px;
    margin: 0 15px 0 0;
}

.checkout-form-button span {
    display: inline-block;
    vertical-align: middle;
}

.checkout-form-button:disabled {
    opacity: 0.7;
    cursor: not-allowed;
    background-color: #cccccc !important;
    color: white !important;
    border: 2px solid #676767 !important;
}

.checkout-form-error {
    color: #e74c3c;
    font-weight: 700;
    margin: 15px 0 0 0;
    font-size: 20px;
    display: none;
}

.checkout-form[data-step="4"] .checkout-form-error {
    
}

#checkout-form-review-message {
    font-size: 18px;
    font-weight: 700;
}

#checkout-forms-filled-container {

}

.checkout-form-filled-container {
    position: relative;
    margin: 30px 0 0 0;
}

.checkout-form-filled-name {
    font-weight: 700;
    margin: 0 0 5px 0;
}

.checkout-form-edit-button {
    position: absolute;
    top: 0;
    left: 200px;
    border: none;
    padding: 0;
    background: none;
    cursor: pointer;
    font-family: inherit;
    color: #1C70A0;
}

#checkout-form-agree-container {
    margin: 30px 0;
}

#checkout-form-terms-agree {
    display: inline-block;
    vertical-align: middle;
    margin: 0 5px 0 0;
    appearance: none;
    width: 18px;
    height: 18px;
    border: 2px solid #111111;
    background-clip: content-box;
    padding: 3px;
    outline: none;
}

#checkout-form-terms-agree:checked {
    background-color: #111111;
}

#checkout-form-terms-agree-container label {
    display: inline-block;
    vertical-align: middle;
    margin: 0;
    line-height: normal;
    text-align: left;
    float: none;
    width: auto;
    font-weight: normal;
    width: 90%;
}

#order-button {
    display: inline-block;
    background-color: #088A06;
    border: 2px solid #036901;
    color: white;
    border-radius: 6px;
    cursor: pointer;
    padding: 10px;
    outline: none;
    font-family: inherit;
    font-size: 18px;
    min-width: 300px;
}

#order-button:disabled {
    opacity: 0.7;
    cursor: not-allowed;
    background-color: #cccccc !important;
    color: white !important;
    border: 2px solid #676767 !important;
}

#order-button img {
    display: inline-block;
    vertical-align: middle;
    width: 15px;
    margin: 0 15px 0 0;
}

#order-button span {
    display: inline-block;
    vertical-align: middle;
}

#paypal-container {
    display: none;
}

#paypal-button-container {
    max-width: 300px;
}

.paypal-login-disabled {
    opacity: 0.5;
    pointer-events: none;
    cursor: not-allowed;
}

.checkout-terms-conditions {
    margin: 100px 0 0 0;
    display: none;
}

.checkout-terms-conditions h1 {
    font-size: 25px;
    display: block;
    text-align: center;
    margin: 0;
}

.checkout-terms-conditions h1::after {
    display: none;
}

.checkout-terms-conditions h2 {
    opacity: 0.6;
}


/* cart summary */
#shopping-cart-price-container {
    display: inline-block;
    vertical-align: top;
    width: 30%;
    border-radius: 3px;
    border: 2px solid #D8D6D6;
    box-sizing: border-box;
    min-height: 400px;
    position: relative;
    padding: 20px;
}

#cart-price-loader-container {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(255,255,255,0.9);
    top: 0;
    left: 0;
    display: none;
}

#cart-price-loader {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 18px;
    font-weight: 700;
    color: #2A4496;
}

#order-summary-header {
    font-weight: 700;
    padding: 0 0 12px 0;
    border-bottom: 2px solid rgb(216,214,214, 0.4);
    margin: 0 0 15px 0;
    font-size: 24px;
    position: relative;
}

#cart-edit-button {
    color: #1C70A0 !important;
    font-weight: 400;
    text-decoration: none;
    font-size: 13px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 0;
}

#cart-edit-button:hover {
    text-decoration: underline;
}

#cart-edit-button:visited {
    color: #2A4496;
}

#cart-items-container {

}

.cart-price-field {
    margin: 0 0 15px 0;
}

.cart-price-field-name {
    display: inline-block;
    vertical-align: top;
    width: 75%;
}

.cart-price-field-name span {
    display: block;
}

.cart-summary-item-name {
    font-size: 14px;
    line-height: 1.3;
    word-break: break-word;
}

.cart-summary-item-quantity {
    font-size: 14px;
    color: #676767;
    margin: 5px 0 0 0;
}

.cart-price-field-value {
    display: inline-block;
    vertical-align: top;
    width: 25%;
    text-align: right;
}

#cart-savings {
    padding: 15px 0 0 0;
    border-top: 2px solid rgb(216,214,214, 0.4);
}

#cart-subtotal {
    padding: 10px 0 0 0;
    border-top: 2px solid rgb(216,214,214, 0.4);
    font-weight: 700;
}

#cart-total {
    padding: 20px 0 0 0;
    border-top: 2px solid rgb(216,214,214, 0.4);
    font-weight: 700;
    font-size: 18px;
}

#cart-message {
    font-size: 14px;
    line-height: 1.3;
    margin: 20px 0 30px 0;
}

#cart-summary-item-template {
    display: none;
}


/* shipping zip changed */
.checkout-lightbox-container {
    position: fixed;
    background-color: rgba(0,0,0,0.5);
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    z-index: 999999999;
}

.checkout-lightbox-main {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 1px solid #707070;
    background-color: white;
    box-sizing: border-box;
    line-height: 1.5;
    padding: 40px 20px;
    min-width: 40%;
}

.checkout-lightbox-close-button {
    position: absolute;
    right: 20px;
    top: 20px;
    color: #676767;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 14px;
    font-family: inherit;
}

#checkout-message-container {
    display: none;
}

#checkout-message {
    font-size: 22px;
}

.checkout-lightbox-error {
    color: #e74c3c;
    font-weight: 700;
}

@media only screen and (min-width: 0px) and (max-width:767px) {
    #checkout-forms-container, #shopping-cart-price-container {
        width: 95%;
        display: block;
        box-sizing: border-box;
        margin: 0 auto;
    }
}

</style>
<style type="text/css">

#synchrony-checkout-template {
    display: none;
}

#airport-logo-button {
    border-radius: 4px;
    width: 200px;
}

#dbuymodel1-button {
    display: none;
}

#synchrony-order-button {
    display: none;
    background: none;
    border: 1px solid #cccccc;
    border-radius: 6px;
    cursor: pointer;
    padding: 0;
    outline: none;
    display: inline-block;
    widows: 300px;
}

#synchrony-order-button:disabled {
    opacity: 0.5;
    cursor: not-allowed;
}

#synchrony-order-button img {
    display: inline-block;
    width: 100%;
    border-radius: 6px;
}

</style>
<style type="text/css">
#wellsfargo-checkout-template {
    display: none;
}

#wellsfargo-logo-button {
    background-color: #104869;
    color: white;
    font-size: 15px;
    padding: 0 25px;
    font-weight: 400;
    height: 35px;
    line-height: 35px;
    border-radius: 4px;
}

#wellsfargo-order-button {
    display: inline-block;
    background-color: #088A06;
    border: 2px solid #036901;
    color: white;
    border-radius: 6px;
    cursor: pointer;
    padding: 10px;
    outline: none;
    font-family: inherit;
    font-size: 18px;
    min-width: 350px;
}

#wellsfargo-order-button:disabled {
    opacity: 0.7;
    cursor: not-allowed;
    background-color: #cccccc !important;
    color: white !important;
    border: 2px solid #676767 !important;
}

#wellsfargo-order-button img {
    display: inline-block;
    vertical-align: middle;
    width: 15px;
    margin: 0 15px 0 0;
}

#wellsfargo-order-button span {
    display: inline-block;
    vertical-align: middle;
}

#wells-fargo-container {
    position: absolute;
    z-index: 999999999;
    top: 0;
    left: 0;
    background-color: rgba(0,0,0,0.5);
    width: 100%;
    display: none;
    padding: 100px 0;
}

#wells-fargo-close-button {
    position: fixed;
    right: 20px;
    top: 20px;
    color: white;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 16px;
    font-family: inherit;
}

#wells-card-offer {
    width: 70%;
    margin: 0 auto;
    background-color: white;
}
</style>
<style type="text/css">
#amazonpay-checkout-template {
    display: none;
}

.amazonpay-login-disabled {
    opacity: 0.5;
    pointer-events: none;
    cursor: not-allowed;
}

#walletWidgetDiv {
    width: 100%;
    height: 228px;
}

#amazonpay-order-button {
    display: none;
    background-color: #088A06;
    border: 2px solid #036901;
    color: white;
    border-radius: 6px;
    cursor: pointer;
    padding: 10px;
    outline: none;
    font-family: inherit;
    font-size: 18px;
    min-width: 300px;
}

#amazonpay-order-button:disabled {
    opacity: 0.7;
    cursor: not-allowed;
    background-color: #cccccc !important;
    color: white !important;
    border: 2px solid #676767 !important;
}

#amazonpay-order-button img {
    display: inline-block;
    vertical-align: middle;
    width: 15px;
    margin: 0 15px 0 0;
}

#amazonpay-order-button span {
    display: inline-block;
    vertical-align: middle;
}

#amazonpay-logo-button {
    border-radius: 4px;
    width: 200px;
}
</style>
</head>

<body>

<div id="checkout-container">
    <div id="shopping-cart-loader">Loading <?= ($is_cart_mode == 1 ? 'cart' : 'quote') . ' ...' ?></div>
    <div id="shopping-cart-empty">No items in the <?= $is_cart_mode == 1 ? 'cart' : 'quote' ?></div>
    <div id="checkout-container-inner">
        <div id="checkout-forms-container">
            <div id="checkout-header"><?= $is_cart_mode == 1 ? 'Secure Checkout' : 'Place Quote' ?></div>
            <div id="checkout-forms-slider-outer">
                <div id="checkout-forms-slider-inner">
                    <div class="checkout-form" data-type="billing" data-step="1">
                        <div class="checkout-form-header">
                            <label>Billing Address</label>
                        </div>
                        <?php if($client_id == -1) { ?>
                        <div id="checkout-login-container">
                            <a href="/login?next=/checkout">Log in</a> or <a href="/new-customer-registration?next=/checkout">Create an account</a> or Continue as Guest
                        </div>
                        <?php } ?>
                        <div class="checkout-form-to-fill">
                            <div class="checkout-form-fields-container">
                                <form id="billing-form">
                                    <div class="form-element-parent">
                                        <div class="form-element">
                                            <label>First Name <em>*</em></label>
                                            <input type="text" id="billing-address-first-name" class="form-field" required pattern="([\s]{0,}[^\s]{1,}[\s]{0,}){1,}" />
                                        </div><!--
                                     --><div class="form-element">
                                            <label>Last Name <em>*</em></label>
                                            <input type="text" id="billing-address-last-name" class="form-field" required pattern="([\s]{0,}[^\s]{1,}[\s]{0,}){1,}" />
                                        </div>
                                    </div>
                                    <div class="form-element-parent">
                                        <div class="form-element">
                                            <label>Email <em>*</em></label>
                                            <input type="email" id="billing-address-email" class="form-field" required />
                                        </div><!--
                                     --><div class="form-element">
                                            <label>Confirm Email <em>*</em></label>
                                            <input type="email" id="billing-address-email-confirm" class="form-field" required />
                                        </div>
                                    </div>
                                    <div class="form-element-parent">
                                        <div class="form-element">
                                            <label>Phone No <em>*</em></label>
                                            <input type="text" id="billing-address-phone" class="form-field" required pattern="[0-9]{3}-[0-9]{3}-[0-9]{4}" />
                                        </div>
                                    </div>
                                    <div class="form-element-parent">
                                        <div class="form-element" style="width:100%">
                                            <label>Billing Address <em>*</em></label>
                                            <input type="text" id="billing-address-street-1" class="form-field" required pattern="([\s]{0,}[^\s]{1,}[\s]{0,}){1,}" />
                                            <div class="show-street-2-container">Add an apartment, suite, buliding etc.</div>
                                        </div>
                                    </div>
                                    <div class="form-element-parent" id="billing-address-street-2-container">
                                        <div class="form-element" style="width:100%">
                                            <label>Apt/Suite/Building</label>
                                            <input type="text" id="billing-address-street-2" class="form-field" />
                                        </div>
                                    </div>
                                    <div class="form-element-parent form-element-parent-3n">
                                        <div class="form-element">
                                            <label>City <em>*</em></label>
                                            <input type="text" id="billing-address-city" class="form-field" required pattern="([\s]{0,}[^\s]{1,}[\s]{0,}){1,}" />
                                        </div><!--
                                     --><div class="form-element">
                                            <label>State <em>*</em></label>
                                            <select id="billing-address-state" class="form-field" required>
                                                <option value="" selected="selected">Select State</option>
                                                <option value="AL">Alabama</option>
                                                <option value="AK">Alaska</option>
                                                <option value="AZ">Arizona</option>
                                                <option value="AR">Arkansas</option>
                                                <option value="CA">California</option>
                                                <option value="CO">Colorado</option>
                                                <option value="CT">Connecticut</option>
                                                <option value="DE">Delaware</option>
                                                <option value="DC">District of Columbia</option>
                                                <option value="FL">Florida</option>
                                                <option value="GA">Georgia</option>
                                                <option value="HI">Hawaii</option>
                                                <option value="ID">Idaho</option>
                                                <option value="IL">Illinois</option>
                                                <option value="IN">Indiana</option>
                                                <option value="IA">Iowa</option>
                                                <option value="KS">Kansas</option>
                                                <option value="KY">Kentucky</option>
                                                <option value="LA">Louisiana</option>
                                                <option value="ME">Maine</option>
                                                <option value="MD">Maryland</option>
                                                <option value="MA">Massachusetts</option>
                                                <option value="MI">Michigan</option>
                                                <option value="MN">Minnesota</option>
                                                <option value="MS">Mississippi</option>
                                                <option value="MO">Missouri</option>
                                                <option value="MT">Montana</option>
                                                <option value="NE">Nebraska</option>
                                                <option value="NV">Nevada</option>
                                                <option value="NH">New Hampshire</option>
                                                <option value="NJ">New Jersey</option>
                                                <option value="NM">New Mexico</option>
                                                <option value="NY">New York</option>
                                                <option value="NC">North Carolina</option>
                                                <option value="ND">North Dakota</option>
                                                <option value="OH">Ohio</option>
                                                <option value="OK">Oklahoma</option>
                                                <option value="OR">Oregon</option>
                                                <option value="PA">Pennsylvania</option>
                                                <option value="RI">Rhode Island</option>
                                                <option value="SC">South Carolina</option>
                                                <option value="SD">South Dakota</option>
                                                <option value="TN">Tennessee</option>
                                                <option value="TX">Texas</option>
                                                <option value="UT">Utah</option>
                                                <option value="VT">Vermont</option>
                                                <option value="VA">Virginia</option>
                                                <option value="WA">Washington</option>
                                                <option value="WV">West Virginia</option>
                                                <option value="WI">Wisconsin</option>
                                                <option value="WY">Wyoming</option>
                                            </select>
                                        </div><!--
                                     --><div class="form-element">
                                            <label>ZIP/Postal Code <em>*</em></label>
                                            <input type="text" id="billing-address-zip" class="form-field" maxlength="5" required pattern="\d{5}" />
                                        </div>
                                    </div>
                                    <?php if($delivery_type != 'PICKUP') { ?>
                                    <div class="checkout-shipping-billing-same-container">
                                        <input type="checkbox" class="checkout-shipping-billing-same" id="checkout-shipping-billing-same-1" />
                                        <label for="checkout-shipping-billing-same-1">Use as Delivery Address</label>
                                    </div>
                                    <?php } ?>
                                    <div class="checkout-form-button-container">
                                        <button class="checkout-form-button" id="billing-button" type="button"><img src="<?= IMG_DIRECTORY ?>/lock-icon.svg" /><span>Continue</span></button>
                                    </div>
                                </form>
                            </div>
                            <div class="checkout-form-error"></div>
                        </div>
                    </div><!--   
                 --><div class="checkout-form" data-type="shipping" data-step="2">
                        <div class="checkout-form-header">
                            <label><?= $delivery_type == 'PICKUP' ? 'Warehouse Pickup' : 'Delivery Address' ?></label>
                        </div>
                        <div class="checkout-form-to-fill">
                            <div class="checkout-form-fields-container">
                                <form id="shipping-form">
                                    <?php if($delivery_type == 'PICKUP') { ?>
                                    <div id="pickup-stores-container">
                                        <div class="form-element-parent">
                                            <div class="form-element">
                                                <label>Choose Warehouse <em>*</em></label>
                                                <select id="pickup-stores" required></select>
                                            </div>
                                        </div>
                                    </div>
                                    <?php } else { ?>
                                    <div id="shipping-address-container">
                                        <div class="checkout-shipping-billing-same-container">
                                            <input type="checkbox" class="checkout-shipping-billing-same" id="checkout-shipping-billing-same-2" />
                                            <label for="checkout-shipping-billing-same-2">My billing and delivery address are the same</label>
                                        </div>
                                        <div class="form-element-parent">
                                            <div class="form-element">
                                                <label>First Name <em>*</em></label>
                                                <input type="text" id="shipping-address-first-name" class="form-field" required pattern="([\s]{0,}[^\s]{1,}[\s]{0,}){1,}" />
                                            </div><!--
                                         --><div class="form-element">
                                                <label>Last Name <em>*</em></label>
                                                <input type="text" id="shipping-address-last-name" class="form-field" required pattern="([\s]{0,}[^\s]{1,}[\s]{0,}){1,}" />
                                            </div>
                                        </div>
                                        <div class="form-element-parent">
                                            <div class="form-element">
                                                <label>Email <em>*</em></label>
                                                <input type="email" id="shipping-address-email" class="form-field" required />
                                            </div><!--
                                         --><div class="form-element">
                                                <label>Phone No <em>*</em></label>
                                                <input type="text" id="shipping-address-phone" class="form-field" required pattern="[0-9]{3}-[0-9]{3}-[0-9]{4}" />
                                            </div>
                                        </div>
                                        <div class="form-element-parent">
                                            <div class="form-element" style="width:100%">
                                                <label>Shipping Address <em>*</em></label>
                                                <input type="text" id="shipping-address-street-1" class="form-field" required pattern="([\s]{0,}[^\s]{1,}[\s]{0,}){1,}" />
                                                <div class="show-street-2-container">Add an apartment, suite, buliding etc.</div>
                                            </div>
                                        </div>
                                        <div class="form-element-parent" id="shipping-address-street-2-container">
                                            <div class="form-element" style="width:100%">
                                                <label>Apt/Suite/Building</label>
                                                <input type="text" id="shipping-address-street-2" class="form-field" />
                                            </div>
                                        </div>
                                        <div class="form-elment-parent form-element-parent-3n">
                                            <div class="form-element">
                                                <label>City <em>*</em></label>
                                                <input type="text" id="shipping-address-city" class="form-field" required pattern="([\s]{0,}[^\s]{1,}[\s]{0,}){1,}" />
                                            </div><!--
                                         --><div class="form-element">
                                                <label>State <em>*</em></label>
                                                <select id="shipping-address-state" class="form-field" required>
                                                    <option value="" selected="selected">Select State</option>
                                                    <option value="AL">Alabama</option>
                                                    <option value="AK">Alaska</option>
                                                    <option value="AZ">Arizona</option>
                                                    <option value="AR">Arkansas</option>
                                                    <option value="CA">California</option>
                                                    <option value="CO">Colorado</option>
                                                    <option value="CT">Connecticut</option>
                                                    <option value="DE">Delaware</option>
                                                    <option value="DC">District of Columbia</option>
                                                    <option value="FL">Florida</option>
                                                    <option value="GA">Georgia</option>
                                                    <option value="HI">Hawaii</option>
                                                    <option value="ID">Idaho</option>
                                                    <option value="IL">Illinois</option>
                                                    <option value="IN">Indiana</option>
                                                    <option value="IA">Iowa</option>
                                                    <option value="KS">Kansas</option>
                                                    <option value="KY">Kentucky</option>
                                                    <option value="LA">Louisiana</option>
                                                    <option value="ME">Maine</option>
                                                    <option value="MD">Maryland</option>
                                                    <option value="MA">Massachusetts</option>
                                                    <option value="MI">Michigan</option>
                                                    <option value="MN">Minnesota</option>
                                                    <option value="MS">Mississippi</option>
                                                    <option value="MO">Missouri</option>
                                                    <option value="MT">Montana</option>
                                                    <option value="NE">Nebraska</option>
                                                    <option value="NV">Nevada</option>
                                                    <option value="NH">New Hampshire</option>
                                                    <option value="NJ">New Jersey</option>
                                                    <option value="NM">New Mexico</option>
                                                    <option value="NY">New York</option>
                                                    <option value="NC">North Carolina</option>
                                                    <option value="ND">North Dakota</option>
                                                    <option value="OH">Ohio</option>
                                                    <option value="OK">Oklahoma</option>
                                                    <option value="OR">Oregon</option>
                                                    <option value="PA">Pennsylvania</option>
                                                    <option value="RI">Rhode Island</option>
                                                    <option value="SC">South Carolina</option>
                                                    <option value="SD">South Dakota</option>
                                                    <option value="TN">Tennessee</option>
                                                    <option value="TX">Texas</option>
                                                    <option value="UT">Utah</option>
                                                    <option value="VT">Vermont</option>
                                                    <option value="VA">Virginia</option>
                                                    <option value="WA">Washington</option>
                                                    <option value="WV">West Virginia</option>
                                                    <option value="WI">Wisconsin</option>
                                                    <option value="WY">Wyoming</option>
                                                </select>
                                            </div><!--
                                         --><div class="form-element">
                                                <label>ZIP/Postal Code <em>*</em></label>
                                                <input type="text" id="shipping-address-zip" class="form-field" maxlength="5" required pattern="\d{5}" />
                                            </div>
                                        </div>
                                    </div>
                                    <?php } ?>
                                    <div class="checkout-form-button-container">
                                        <button class="checkout-form-button" id="shipping-button" type="button"><img src="<?= IMG_DIRECTORY ?>/lock-icon.svg" /><span>Continue</span></button>
                                        <button class="checkout-form-back-button" id="shipping-button-back" type="button">Go Back</button>
                                    </div>
                                </form>
                            </div>
                            <div class="checkout-form-error"></div>
                        </div>
                    </div><!--
                 --><div class="checkout-form" data-type="payment" data-step="3">
                        <div class="checkout-form-header">
                            <label>Payment Information</label>
                        </div>
                        <div class="checkout-form-to-fill">
                            <div class="checkout-form-fields-container">
                                <form id="payment-form">
                                    <div id="payment-types-container">
                                        <?php if(HAS_PAYPAL == 1) { ?>
                                        <div class="payment-type-option">
                                            <span><input type="radio" name="payment-type" id="payment-type-paypal" value="PAYPAL" class="payment-type" autocomplete="off" required /></span>
                                            <label for="payment-type-paypal"><img src="https://www.paypalobjects.com/webstatic/en_AU/i/buttons/btn_paywith_primary_s.png" alt="PayPal Logo" ></label>
                                        </div>
                                        <?php } ?>
                                        <div class="payment-type-option">
                                            <span><input type="radio" name="payment-type" id="payment-type-cc" value="CC" class="payment-type" autocomplete="off" required /></span>
                                            <label for="payment-type-cc" id="cc-logo-button">Pay with Credit Card</label>
                                        </div>
                                    </div>
                                    <div id="credit-card-container">
                                        <div class="form-element-parent">
                                            <div class="form-element">
                                                <label>Name on Card <em>*</em></label>
                                                <input type="text" id="card-name" class="form-field" required pattern="([\s]{0,}[^\s]{1,}[\s]{0,}){1,}" disabled />
                                            </div><!--
                                         --><div class="form-element">
                                                <label>Credit Card Number <em>*</em></label>
                                                <input type="text" id="card-number" class="form-field" required pattern="\d{13}|\d{15}|\d{16}" disabled />
                                            </div>
                                        </div>
                                        <div class="form-element-parent form-element-parent-3n">
                                            <div class="form-element">
                                                <label>CCV Code <em>*</em></label>
                                                <input type="text" id="card-ccv" class="form-field" maxlength="4" required pattern="\d{3}|\d{4}" disabled />
                                            </div><!--
                                         --><div class="form-element">
                                                <label>Expiration Month <em>*</em></label>
                                                <select id="card-month" class="form-field" required disabled>
                                                    <option value="">Select Month</option>
                                                    <option value="01">January</option>
                                                    <option value="02">Febuary</option>
                                                    <option value="03">March</option>
                                                    <option value="04">April</option>
                                                    <option value="05">May</option>
                                                    <option value="06">June</option>
                                                    <option value="07">July</option>
                                                    <option value="08">August</option>
                                                    <option value="09">September</option>
                                                    <option value="10">October</option>
                                                    <option value="11">November</option>
                                                    <option value="12">December</option>
                                                </select>
                                            </div><!--
                                         --><div class="form-element">
                                                <label>Expiration Year <em>*</em></label>
                                                <select id="card-year" class="form-field" required disabled>
                                                    <option value="">Select Year</option>
                                                    <option value="2021">2021</option>
                                                    <option value="2022">2022</option>
                                                    <option value="2023">2023</option>
                                                    <option value="2024">2024</option>
                                                    <option value="2025">2025</option>
                                                    <option value="2026">2026</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="checkout-form-button-container">
                                        <button class="checkout-form-button" id="payment-button" type="button"><img src="<?= IMG_DIRECTORY ?>/lock-icon.svg" /><span>Continue</span></button>
                                        <button class="checkout-form-back-button" id="payment-button-back" type="button">Go Back</button>
                                    </div>
                                </form>
                            </div>
                            <div class="checkout-form-error"></div>
                        </div>
                    </div><!--
                 --><div class="checkout-form" data-type="order" data-step="4">
                        <div class="checkout-form-header">
                            <label>Review Your <?= $is_cart_mode == 1 ? 'Order' : 'Quote' ?></label>
                        </div>
                        <div class="checkout-form-to-fill">
                            <div id="checkout-form-review-message">Please review your <?= $is_cart_mode == 1 ? 'order' : 'quote' ?> to ensure it is correct.</div>
                            <div id="checkout-forms-filled-container">
                                <div class="checkout-form-filled-container">
                                    <div class="checkout-form-filled-name">Billing Address</div>
                                    <button class="checkout-form-edit-button" data-step="1">Edit</button>
                                    <div class="checkout-form-filled" id="checkout-form-billing-filled"></div>
                                </div>
                                <div class="checkout-form-filled-container">
                                    <div class="checkout-form-filled-name"><?= $delivery_type == 'PICKUP' ? 'Warehouse Pickup' : 'Delivery Address' ?></div>
                                    <button class="checkout-form-edit-button" data-step="2">Edit</button>
                                    <div class="checkout-form-filled" id="checkout-form-shipping-filled"></div>
                                </div>
                                <div class="checkout-form-filled-container" style="<?= $is_cart_mode == 1 ? '' : 'display:none' ?>">
                                    <div class="checkout-form-filled-name">Payment Information</div>
                                    <button class="checkout-form-edit-button" data-step="3">Edit</button>
                                    <div class="checkout-form-filled" id="checkout-form-payment-filled"></div>
                                </div>
                            </div>
                            <div class="checkout-form-fields-container">
                                <?php if($is_cart_mode == 1) { ?>
                                <div id="checkout-form-agree-container">
                                    <div id="checkout-form-terms-agree-container">
                                        <input type="checkbox" id="checkout-form-terms-agree" autocomplete="off" />
                                        <label for="checkout-form-terms-agree">I agree to the below Terms & Conditions</label>
                                    </div>
                                </div>
                                <?php } ?>
                                <div class="checkout-form-error"></div>
                                <button id="order-button" type="button" class="order-place" disabled><img src="<?= IMG_DIRECTORY ?>/lock-icon.svg" /><span><?= $is_cart_mode == 1 ? 'Place Order': 'Place Quote' ?></span></button>
                                <div id="paypal-container" class="order-place">
                                    <div id="paypal-button-container" class="paypal-login-disabled"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="checkout-terms-conditions"></div>
        </div><!--
     --><div id="shopping-cart-price-container">
            <div id="cart-price-loader-container">
                <div id="cart-price-loader">Getting <?= $is_cart_mode == 1 ? 'Cart' : 'Quote' ?> Price ..</div>
            </div>
            <div id="cart-summary">
                <div id="order-summary-header">Your <?= $is_cart_mode == 1 ? 'Order' : 'Quote' ?>
                    <a href="<?= CART_PAGE ?>" id="cart-edit-button">Edit <?= $is_cart_mode == 1 ? 'Cart' : 'Quote' ?></a>
                </div>
                <div id="cart-summary-items-container"></div>
                <div id="cart-savings" class="cart-price-field">
                    <div class="cart-price-field-name">Discounts</div><div class="cart-price-field-value" id="cart-savings-value"></div>
                </div>
                <div id="cart-subtotal" class="cart-price-field">
                    <div class="cart-price-field-name">Subtotal</div><div class="cart-price-field-value" id="cart-subtotal-value"></div>
                </div>
                <div id="cart-shipping" class="cart-price-field">
                    <div class="cart-price-field-name">Delivery</div><div class="cart-price-field-value" id="cart-shipping-value"></div>
                </div>
                <div id="cart-tax" class="cart-price-field">
                    <div class="cart-price-field-name">Tax <em>*</em></div><div class="cart-price-field-value" id="cart-tax-value"></div>
                </div>
                <div id="cart-total" class="cart-price-field">
                    <div class="cart-price-field-name">Total</div><div class="cart-price-field-value" id="cart-total-value"></div>
                </div>
                <div id="cart-message">* Taxes will be calculated after filling delivery details</div>
            </div>
        </div>
    </div>
</div>

<div id="cart-summary-item-template">
    <div class="cart-price-field">
        <div class="cart-price-field-name">
            <span class="cart-summary-item-name"></span>
            <span class="cart-summary-item-quantity"></span>
        </div><!--
     --><div class="cart-price-field-value"></div>
    </div>
</div>

<div id="checkout-message-container" class="checkout-lightbox-container">
    <div class="checkout-lightbox-main">
        <div id="checkout-message"></div>
        <button class="checkout-lightbox-close-button">Close</button>
    </div>
</div>

<div id="synchrony-checkout-template">
    <div id="synchrony-container">
        <!-- Synchrony : Start -->
        <div id="synchrony-modal">
            <form name="dbuyform1" id="dbuyform1">
                <input type="hidden" name="processInd" value="3"/>
                <input type="hidden" name="tokenId" />
                <input type="hidden" name="merchantID" value="5348120770709186" />
                <input type="hidden" name="clientTransId" />
                <input type="hidden" name="custFirstName" />
                <input type="hidden" name="custLastName" />
                <input type="hidden" name="custAddress1" />
                <input type="hidden" name="custState" />
                <input type="hidden" name="custCity" />
                <input type="hidden" name="phoneNumber" />
                <input type="hidden" name="emailAddress" />
                <input type="hidden" name="custZipCode" />
                <input type="hidden" name="transAmount1" />
                <input type="hidden" name="transPromo1" id="transPromo1" />
                <button id="dbuymodel1-button" type="button" data-toggle="modal" data-target="#digBuyModal" onclick="syfDBuy.calldBuyProcess(this.form)">Pay</button>
            </form>
        </div>
        <!-- Synchrony : End -->
    </div>
</div>

<div id="wellsfargo-checkout-template">
    <div id="wells-fargo-container" data-loaded="0">
        <button id="wells-fargo-close-button">Close</button>
        <div id="wells-card-offer"></div>
    </div>
</div>

<div id="amazonpay-checkout-template">
    <div id="amazonpay-container" class="order-place">
        <div id="AmazonPayButton" class="amazonpay-login-disabled"></div>
        <div id="walletWidgetDiv"></div>
        <button id="amazonpay-order-button" disabled><img src="<?= IMG_DIRECTORY ?>/lock-icon.svg" /><span>Place Order</span></button>
    </div>
</div>

<?php if(HAS_PAYPAL == 1) { ?>
<script src="https://www.paypal.com/sdk/js?intent=capture&client-id=<?= $paypal_api_keys['paypal-client-id'] ?>&disable-funding=card"></script>
<?php } ?>

<?php if(HAS_SYNCHRONY == 1) { ?>
<script src="https://<?= $synchrony_api_keys['synchrony-test-acount'] == 1 ? 'u' : '' ?>buy.syf.com/digitalbuy/js/merchant_ff.js"></script>
<?php } ?>

<?php if(HAS_WELLSFARGO == 1) { ?>
<script src="https://static.wellsfargo.com/websdk/ao/plcc/1.5.latest/public/javascripts/wfg-sdk-plcc-bootstrap.min.js"></script>
<?php } ?>

<?php if(HAS_AMAZONPAY == 1) { ?>
<script async src="https://static-na.payments-amazon.com/OffAmazonPayments/us<?= $amazonpay_api_keys['amazonpay-test-acount'] == 1 ? '/sandbox' : '' ?>/js/Widgets.js"></script>
<?php } ?>

<script>

{
    $("#billing-address-phone").mask('000-000-0000');
    $("#shipping-address-phone").mask('000-000-0000');
}

var CheckoutForm = {
    ajax_url: '<?= AJAX_PAGE ?>',

    order_success_url: '<?= ORDER_SUCCESS_PAGE ?>',

    has_synchrony_checkout: <?= HAS_SYNCHRONY ?>,

    has_paypal_checkout: <?= HAS_PAYPAL ?>,

    has_wellsfargo_checkout: <?= HAS_WELLSFARGO ?>,

    has_amazonpay_checkout: <?= HAS_AMAZONPAY ?>,

    delivery_type: '<?= $delivery_type ?>',

    image_directory: '<?= IMG_DIRECTORY ?>',

    is_cart_mode: <?= $is_cart_mode ?>,

    blank_field_regex: /^([\s]{0,}[^\s]{1,}[\s]{0,}){1,}$/,

    zip_code_regex: /(^\d{5}$)|(^\d{5}-\d{4}$)/,

    email_regex: /^([a-zA-z0-9]{1,}(?:([\._-]{0,1}[a-zA-Z0-9]{1,}))+@{1}([a-zA-Z0-9-]{2,}(?:([\.]{1}[a-zA-Z]{2,}))+))$/,

    digit_regex: /^[0-9]{1,}$/,

    set_interval_handle: null,

    init: function() {
        this.addEvents();

        $("#shopping-cart-loader").show();

        this.getCartPrice();
        this.getInitialData();
    },

    addEvents: function() {
        var that = this;

        $("#billing-button").on('click', async function() {
            if(that.validateBillingForm(1) == 1) {
                var success = await that.sendBillingForm();
                if(success == 1)
                    that.moveToForm(2);
            }
        });

        $("#shipping-button").on('click', async function() { console.log(that.validateShippingForm(1));
            if(that.validateShippingForm(1) == 1) {
                var success = await that.sendShippingForm();
                if(success == 1) {
                    that.getCartPrice();
                    if(that.is_cart_mode == 1)
                        that.moveToForm(3);
                    else
                        that.moveToForm(4);
                }
            }
        });

        $("#payment-button").on('click', async function() {
            if(that.validatePaymentForm(1) == 1) {
                var success = await that.sendPaymentForm();
                if(success == 1) {
                    that.moveToForm(4);
                }
            }
        });

        $("#order-button").on('click', function() {
            that.validateOrderForm();
        });

        $(".checkout-shipping-billing-same").on('click', function() {
            if($(this).is(':checked')) {
                $("#shipping-address-first-name").val($("#billing-address-first-name").val());
                $("#shipping-address-last-name").val($("#billing-address-last-name").val());
                $("#shipping-address-email").val($("#billing-address-email").val());
                $("#shipping-address-phone").val($("#billing-address-phone").val());
                $("#shipping-address-street-1").val($("#billing-address-street-1").val());
                $("#shipping-address-street-2").val($("#billing-address-street-2").val());
                $("#shipping-address-city").val($("#billing-address-city").val());
                $("#shipping-address-state").val($("#billing-address-state").val());
                $("#shipping-address-zip").val($("#billing-address-zip").val());
                $("#shipping-address-country").val($("#billing-address-country").val());

                if($.trim($("#billing-address-street-2").val()) != '') {
                    $("#shipping-address-street-2-container").show();
                    $(".show-street-2-container").eq(1).hide();
                }

                $(".checkout-shipping-billing-same").prop('checked', true);
            }
            else {
                $("#shipping-address-first-name").val('');
                $("#shipping-address-last-name").val('');
                $("#shipping-address-email").val('');
                $("#shipping-address-phone").val('');
                $("#shipping-address-street-1").val('');
                $("#shipping-address-street-2").val('');
                $("#shipping-address-city").val('');
                $("#shipping-address-state").val('');
                $("#shipping-address-zip").val('');

                $(".checkout-shipping-billing-same").prop('checked', false);
            }
        });

        $(document).on('change','.payment-type', function() {
            $(".order-place").hide();

            switch($('.payment-type:checked').val()) {
                case 'CC':
                    $("#order-button").show();
                    break;

                case 'PAYPAL':
                    $("#paypal-container").show();
                    break;

                case 'SYNCHRONY':
                    $("#synchrony-order-button").show();
                    break;

                case 'WELLSFARGO':
                    $("#wellsfargo-order-button").show();
                    break;

                case 'AMAZONPAY':
                    $("#amazonpay-container").show();
                    break;
            }

            if($('.payment-type:checked').val() == 'CC') {
                $("#credit-card-container").show();
                $("#credit-card-container input, #credit-card-container select").removeAttr('disabled', 'disabled');
            }
            else {
                $("#credit-card-container").hide();
                $("#credit-card-container input, #credit-card-container select").attr('disabled', 'disabled');
            }
        });

        $(".checkout-form-back-button").on('click', function() {
            var current_step = parseInt($(this).closest('.checkout-form').attr('data-step'), 10);

            that.moveToForm(current_step - 1);
        });

        $(".checkout-lightbox-close-button").on('click', function() {
            $(this).closest('.checkout-lightbox-container').hide();
        });

        $("#checkout-forms-slider-inner").on('transitionend', function() {
            $("#checkout-container").get(0).scrollIntoView();
        });

        $(".checkout-form-edit-button").on('click', function() {
            var current_step = parseInt($(this).attr('data-step'), 10);

            that.moveToForm(current_step);
        });

        $(".show-street-2-container").on('click', function() {
            $(this).hide();
            $(this).closest('.form-element-parent').next().show();
        });

        $(".checkout-form form input, .checkout-form form select").on('blur input', function(e) {
            if($(this).attr('id') == 'billing-address-email' && $("#billing-address-email-confirm").attr('data-visited') === undefined) {
                if($(this).val() != $("#billing-address-email-confirm").val())
                    $("#billing-address-email-confirm").get(0).setCustomValidity('Emails are not matching');
            }

            if($(this).attr('id') == 'billing-address-email-confirm') {
            	if($(this).val() != $("#billing-address-email").val())
            		this.setCustomValidity('Emails are not matching');
            	else
            		this.setCustomValidity('');	
            }

            if(e.type == 'blur' && $(this).attr('data-visited') === undefined)
                $(this).attr('data-visited', '1');

            switch($(this).closest('form').attr('id')) {
                case 'billing-form':
                    that.validateBillingForm();
                    break;

                case 'shipping-form':
                    that.validateShippingForm();
                    break;

                case 'payment-form':
                    that.validatePaymentForm();
                    break;
            }
        });

        $("#checkout-form-terms-agree").on('click', function() {
            if(that.validateTermsCheckbox() == 1)
                $("#order-button").removeAttr('disabled');
            else
                $("#order-button").attr('disabled', 'disabled');
        });
    },

    cartEmpty: function() {
        $("#shopping-cart-loader").hide();
        $("#checkout-container-inner").hide();
        $("#shopping-cart-empty").show();
    },

    cartNotEmpty: function() {
        $("#shopping-cart-loader").hide();
        $("#checkout-container-inner").show();
    },

    shippingBillingSame: function() {
        if($("#checkout-shipping-billing-same").is(':checked')) {
            $("#shipping-address-name").val($("#billing-address-name").val());
            $("#shipping-address-email").val($("#billing-address-email").val());
            $("#shipping-address-phone").val($("#billing-address-phone").val());
            $("#shipping-address-street-1").val($("#billing-address-street-1").val());
            $("#shipping-address-street-2").val($("#billing-address-street-2").val());
            $("#shipping-address-city").val($("#billing-address-city").val());
            $("#shipping-address-state").val($("#billing-address-state").val());
            $("#shipping-address-zip").val($("#billing-address-zip").val());
            $("#shipping-address-country").val($("#billing-address-country").val());
        }
        else {
            $("#shipping-address-name").val('');
            $("#shipping-address-email").val('');
            $("#shipping-address-phone").val('');
            $("#shipping-address-street-1").val('');
            $("#shipping-address-street-2").val('');
            $("#shipping-address-city").val('');
            $("#shipping-address-state").val('');
            $("#shipping-address-zip").val('');
        }
    },

    moveToForm: function(step) {
        $("#checkout-forms-slider-inner").css('transform', 'translateX(-' + (25*(step-1)) + '%)');

        if(step == 4)
            $(".checkout-terms-conditions").show();
        else
            $(".checkout-terms-conditions").hide();
    },

    validateBillingForm: function(from_submit_btn) {
        if($("#billing-address-email").val() != $("#billing-address-email-confirm").val())
            $("#billing-address-email-confirm").get(0).setCustomValidity('Emails are not matching');
        else
            $("#billing-address-email-confirm").get(0).setCustomValidity(''); 

        $("#billing-form input, #billing-form select").each(function() {
        	if(from_submit_btn == 1 || (from_submit_btn === undefined && $(this).attr('data-visited') !== undefined) || $(this).hasClass('field-error')) {
                if(!$(this).get(0).checkValidity())
            		$(this).addClass('field-error');
            	else
            		$(this).removeClass('field-error');	
            }
        });

        if($("#billing-form").get(0).checkValidity())
            return 1;
        else {
            if(from_submit_btn == 1)
                $("#billing-form").get(0).reportValidity();
            return 0;
        }
    },

    sendBillingForm: async function() {
        var current_form = $(".checkout-form[data-step='1']"),
            billing_fields,
            response,
            json_response,
            filled_info;

        billing_fields = {
            name: $("#billing-address-first-name").val() + ' ' + $("#billing-address-last-name").val(),
            email: $("#billing-address-email").val(),
            phone: $("#billing-address-phone").val().replace(/-/g, ""),
            street_1: $("#billing-address-street-1").val(),
            street_2: $("#billing-address-street-2").val(),
            city: $("#billing-address-city").val(),
            state: $("#billing-address-state").val(),
            zip: $("#billing-address-zip").val(),
            country: 'US'
        };

        $("#billing-button").attr('disabled', 'disabled');
        response = await fetch(this.ajax_url, {
            method: 'POST',
            credentials: 'same-origin',
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            body: 'operation=validateBillingFields&billing=' + JSON.stringify(billing_fields)
        });
        json_response = await response.json();
        $("#billing-button").removeAttr('disabled');

        if(response.status == 200) {
            if('updated' in json_response) {
                filled_info = ($("#billing-address-first-name").val() + ' ' + $("#billing-address-last-name").val() + 
                                '<br />' + $("#billing-address-street-1").val() + ' ' + $("#billing-address-street-2").val() +
                                '<br />' + $("#billing-address-city").val() + ', ' + $("#billing-address-state").val() + ' ' + $("#billing-address-zip").val() +
                                '<br />Email: ' + $("#billing-address-email").val() +
                                '<br />Phone: ' + $("#billing-address-phone").val());
                $("#checkout-form-billing-filled").html(filled_info);

                return 1;
            }
            else {
                return 0;
            }
        }
        else if(response.status == 400) {
            current_form.find('.checkout-form-error').text(json_response.message).show();
            setTimeout(function() {
                current_form.find('.checkout-form-error').hide();
            }, 2000);
            
            return 0;
        }
        else {
            current_form.find('.checkout-form-error').text('Server Error').show();
            setTimeout(function() {
                current_form.find('.checkout-form-error').hide();
            }, 2000);
            
            return 0;
        }
    },

    validateShippingForm: function(from_submit_btn) {
        $("#shipping-form input, #shipping-form select").each(function() {
            if(from_submit_btn == 1 || (from_submit_btn === undefined && $(this).attr('data-visited') !== undefined) || $(this).hasClass('field-error')) {
                if(!$(this).get(0).checkValidity())
                    $(this).addClass('field-error');
                else
                    $(this).removeClass('field-error');
            }
        });

        if($("#shipping-form").get(0).checkValidity())
            return 1;
        else {
            if(from_submit_btn == 1)
                $("#shipping-form").get(0).reportValidity();
            return 0;
        }
    },

    sendShippingForm: async function() {
        var current_form = $(".checkout-form[data-step='2']"),
            shipping_fields,
            response,
            json_response,
            filled_info;

        if(this.delivery_type == 'PICKUP') {
            shipping_fields = {
                pickup_store: $("#pickup-stores").val()
            };
        }
        else {
            shipping_fields = {
                name: $("#shipping-address-first-name").val() + ' ' + $("#shipping-address-last-name").val(),
                email: $("#shipping-address-email").val(),
                phone: $("#shipping-address-phone").val().replace(/-/g, ""),
                street_1: $("#shipping-address-street-1").val(),
                street_2: $("#shipping-address-street-2").val(),
                city: $("#shipping-address-city").val(),
                state: $("#shipping-address-state").val(),
                zip: $("#shipping-address-zip").val(),
                country: 'US'
            };
        }

        $("#shipping-button").attr('disabled', 'disabled');
        response = await fetch(this.ajax_url, {
            method: 'POST',
            credentials: 'same-origin',
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            body: 'operation=validateShippingFields&shipping=' + JSON.stringify(shipping_fields)
        });
        json_response = await response.json();
        $("#shipping-button").removeAttr('disabled');

        if(response.status == 200) {
            if('updated' in json_response) {
                if(this.delivery_type != 'PICKUP') {
                    filled_info = ($("#shipping-address-first-name").val() + ' ' + $("#shipping-address-last-name").val() + 
                                '<br />' + $("#shipping-address-street-1").val() + ' ' + $("#shipping-address-street-2").val() +
                                '<br />' + $("#shipping-address-city").val() + ', ' + $("#shipping-address-state").val() + ' ' + $("#shipping-address-zip").val() +
                                '<br />Email: ' + $("#shipping-address-email").val() +
                                '<br />Phone: ' + $("#shipping-address-phone").val());
                }
                else {
                    filled_info = $("#pickup-stores option:selected").text();
                }
                $("#checkout-form-shipping-filled").html(filled_info);

                return 1;
            }
            else {
                return 0;
            }
        }
        else if(response.status == 400) {
            current_form.find('.checkout-form-error').text(json_response.message).show();
            setTimeout(function() {
                current_form.find('.checkout-form-error').hide();
            }, 2000);
            
            return 0;
        }
        else {
            current_form.find('.checkout-form-error').text('Server Error').show();
            setTimeout(function() {
                current_form.find('.checkout-form-error').hide();
            }, 2000);
            
            return 0;
        }
    },

    validatePaymentForm: function(from_submit_btn) {
        if($("#card-month").val() != '' && $("#card-year").val() != '') {
            var dt = new Date();
            var current_date = new Date(dt.getFullYear(), dt.getMonth());
            var cc_date = new Date($("#card-year").val(), (parseInt($("#card-month").val(), 10) - 1));

            if(cc_date < current_date)
                $("#card-year").get(0).setCustomValidity('Card seems to be expired');
            else
                $("#card-year").get(0).setCustomValidity('');
        }

        $("#payment-form input, #payment-form select").each(function() {
            if(from_submit_btn == 1 || (from_submit_btn === undefined && $(this).attr('data-visited') !== undefined) || $(this).hasClass('field-error')) {
                if(!$(this).get(0).checkValidity())
                    $(this).addClass('field-error');
                else
                    $(this).removeClass('field-error'); 
            }
        });

        if($("#payment-form").get(0).checkValidity())
            return 1;
        else {
            if(from_submit_btn == 1)
                $("#payment-form").get(0).reportValidity();
            return 0;
        }
    },

    sendPaymentForm: async function() {
        var current_form = $(".checkout-form[data-step='3']"),
            payment_fields,
            response,
            json_response,
            filled_info;

        payment_fields = {
            type: (this.is_cart_mode == 1 ? $(".payment-type:checked").val() : 'QUOTE')
        };
        if(this.is_cart_mode == 1) {
            switch($(".payment-type:checked").val()) {
                case 'CC':
                    payment_fields.card_number = $("#card-number").val();
                    payment_fields.card_name = $("#card-name").val();
                    payment_fields.card_ccv = $("#card-ccv").val();
                    payment_fields.card_month = $("#card-month").val();
                    payment_fields.card_year =$("#card-year").val();
        
                    break;
            }
        }

        $("#payment-button").attr('disabled', 'disabled');
        response = await fetch(this.ajax_url, {
            method: 'POST',
            credentials: 'same-origin',
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            body: 'operation=validatePaymentFields&payment=' + JSON.stringify(payment_fields)
        });
        json_response = await response.json();
        $("#payment-button").removeAttr('disabled');

        if(response.status == 200) {
            if('updated' in json_response) {
                if($(".payment-type:checked").val() == 'CC') {
                    filled_info = ($("#card-name").val() +
                                    '<br />' + '************' + $("#card-number").val().substr(-4) +
                                    '<br />Expiry ' + $("#card-month").val() + '/' + $("#card-year").val());
                }
                else {
                    filled_info = $(".payment-type:checked").val();
                }

                $("#checkout-form-payment-filled").html(filled_info);

                return 1;
            }
            else {
                return 0;
            }
        }
        else if(response.status == 400) {
            current_form.find('.checkout-form-error').text(json_response.message).show();
            setTimeout(function() {
                current_form.find('.checkout-form-error').hide();
            }, 2000);
            
            return 0;
        }
        else {
            current_form.find('.checkout-form-error').text('Server Error').show();
            setTimeout(function() {
                current_form.find('.checkout-form-error').hide();
            }, 2000);
            
            return 0;
        }
    },

    validateTermsCheckbox: function() {
        if(this.is_cart_mode == 0) 
            return 1;

        if($("#checkout-form-terms-agree").is(":checked"))
            return 1;
        else
            return 0;
    },

    validateOrderForm: function() {
        if(this.validateTermsCheckbox() == 0)
            return;

        $("#checkout-message").html('Processing ...');
        $(".checkout-lightbox-close-button").hide();
        $("#checkout-message-container").show();  
        $.ajax({
            type: 'POST',
            url: this.ajax_url,
            data: { operation: 'placeOrderWithCC' },
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                if('order_id' in response) {
                    document.location.href = '/checkout_success';
                }
            }, this),
            error: function(response) {
                var error = JSON.parse(response.responseText);

                $("#checkout-message").html('<span class="checkout-lightbox-error">' + error.message + '</span>');
                $("#checkout-message-container").show();
                $(".checkout-lightbox-close-button").show();
            }
        });
    },

    getCartPrice: function() {
        $("#cart-price-loader-container").show();

        $.ajax({
            type: 'GET',
            url: this.ajax_url,
            data: { operation: 'getCartItemListWithPrices' },
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                $("#cart-price-loader-container").hide();

                if(response.items.length == 0)
                    this.cartEmpty();
                else {
                    this.cartNotEmpty();
                    this.showCartPrice(response);
                }
            }, this),
            error: function(response) {
                
            }
        });
    },

    showCartPrice: function(data) {
        var cart_summary_item_template;

        document.querySelector("#cart-summary-items-container").innerHTML = '';
        for(var i=0; i<data['items'].length; i++) {
            cart_summary_item_template = document.querySelector("#cart-summary-item-template .cart-price-field").cloneNode(true);
            cart_summary_item_template.querySelector(".cart-summary-item-name").innerHTML = data['items'][i]['name'];
            cart_summary_item_template.querySelector(".cart-summary-item-quantity").innerHTML = 'Qty: ' + data['items'][i]['quantity'];
            cart_summary_item_template.querySelector(".cart-price-field-value").innerHTML = data['items'][i]['total_price_formatted'];

            document.querySelector("#cart-summary-items-container").appendChild(cart_summary_item_template);
        }

        document.querySelector("#cart-savings-value").innerHTML = '- ' + data['discount_price']['formatted_price'];
        if(parseInt(data['discount_price']['price'], 10) == 0) {
            document.querySelector("#cart-savings").style.display = 'none';
        }

        if(data['tax_price']['price'] == 'NA') {
            $("#cart-tax em").show();
            $("#cart-message").show();
        }
        else {
            $("#cart-tax em").hide();
            $("#cart-message").hide();
        }

        document.querySelector("#cart-subtotal-value").innerHTML = data['subtotal_price']['formatted_price'];
        document.querySelector("#cart-shipping-value").innerHTML = data['shipping_price']['formatted_price'];
        document.querySelector("#cart-tax-value").innerHTML = data['tax_price']['formatted_price'];
        document.querySelector("#cart-total-value").innerHTML = data['total_price']['formatted_price'];
    },

    getInitialData: function() {
        var that = this;

        $.ajax({
            type: 'GET',
            url: this.ajax_url,
            data: { operation: 'getInitialData' },
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                /* terms */
                $(".checkout-terms-conditions").html(response.terms.html);
                $("head").append("<style>" + response.terms.css + "</style>");

                /* pickup stores */
                if(that.delivery_type == 'PICKUP') {
                    var pickup_stores = response.pickup_stores;
                    var html = '';
                    for(var i=0; i<pickup_stores.length; i++) {
                        html += '<option value="' + pickup_stores[i]['id'] + '">' + pickup_stores[i]['collectionpoint'] + '</option>';
                    }
                    $("#pickup-stores").html(html);
                }

                /* checkout fields */
                $("#billing-address-first-name").val(response.checkout_fields.billing.first_name);
                $("#billing-address-last-name").val(response.checkout_fields.billing.last_name);
                $("#billing-address-email").val(response.checkout_fields.billing.email);
                $("#billing-address-email-confirm").val(response.checkout_fields.billing.email);
                $("#billing-address-phone").val($("#billing-address-phone").masked(response.checkout_fields.billing.phone));
                $("#billing-address-street-1").val(response.checkout_fields.billing.street_1);
                $("#billing-address-street-2").val(response.checkout_fields.billing.street_2);
                $("#billing-address-city").val(response.checkout_fields.billing.city);
                $("#billing-address-state").val(response.checkout_fields.billing.state);
                $("#billing-address-zip").val(response.checkout_fields.billing.zip);
                if(response.checkout_fields.billing.street_2 != '') {
                    $(".show-street-2-container").eq(0).hide();
                    $("#billing-address-street-2-container").show();
                }

                if(that.delivery_type == 'PICKUP') {
                    if(response.checkout_fields.shipping.pickup_store !== null) {
                        $("#pickup-stores").val(response.checkout_fields.shipping.pickup_store);
                    }
                }
                else {
                    $("#shipping-address-first-name").val(response.checkout_fields.shipping.first_name);
                    $("#shipping-address-last-name").val(response.checkout_fields.shipping.last_name);
                    $("#shipping-address-email").val(response.checkout_fields.shipping.email);
                    $("#shipping-address-phone").val($("#shipping-address-phone").masked(response.checkout_fields.shipping.phone));
                    $("#shipping-address-street-1").val(response.checkout_fields.shipping.street_1);
                    $("#shipping-address-street-2").val(response.checkout_fields.shipping.street_2);
                    $("#shipping-address-city").val(response.checkout_fields.shipping.city);
                    $("#shipping-address-state").val(response.checkout_fields.shipping.state);
                    $("#shipping-address-zip").val(response.checkout_fields.shipping.zip);
                    if(response.checkout_fields.shipping.street_2 != '') {
                        $(".show-street-2-container").eq(1).hide();
                        $("#shipping-address-street-2-container").show();
                    }
                }

                if(response.checkout_fields.payment.type !== null) {
                    $("input[name='payment-type'][value='" + response.checkout_fields.payment.type + "']").prop('checked', true).change();
                }
            }, this),
            error: function(response) {
                
            }
        });
    }
};

CheckoutForm.init();

if(CheckoutForm.has_paypal_checkout == 1) {
    paypal.Buttons({
        style: { size: 'responsive', color: 'gold', label: 'pay' },

        onInit: function(data, actions) {
            actions.disable();

            $("#checkout-form-terms-agree").on('click', function() {
                if(CheckoutForm.validateTermsCheckbox() == 1) {
                    actions.enable();
                    $("#paypal-button-container").removeClass('paypal-login-disabled');
                }
                else {
                    actions.disable();
                    $("#paypal-button-container").addClass('paypal-login-disabled');
                }
            });
        },
        
        onClick: function(data, actions) {
            CheckoutForm.validateTermsCheckbox();
        },
        
        createOrder: function(data, actions) {
            return fetch(CheckoutForm.ajax_url, {
                method: 'POST',
                credentials: 'same-origin',
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                body: 'operation=createPaypalOrder'
            }).then(function(response) {
                return response.json();
            }).then(function(data) {
                return data.paypal_order_id;
            });
        },
        
        onApprove: function(data, actions) {
            return fetch(CheckoutForm.ajax_url, {
                method: 'POST',
                credentials: 'same-origin',
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                body: 'operation=placeOrderWithPaypal'
            }).then(function(response) {
                return response.json();
            }).then(function(details) {
                if('error' in details) {
                    throw new Error(details.message);
                }
                else if('order_id' in details) {
                    document.location.href = CheckoutForm.order_success_url;
                }
            }).catch(function(error) {
                $("#checkout-message").html('<span class="checkout-lightbox-error">' + error.message + '</span>');
                $("#checkout-message-container").show();
                $(".checkout-lightbox-close-button").show();
            });
        }
    }).render('#paypal-button-container');
}

var SynchronyCheckout = {
    airport_card_logo: CheckoutForm.image_directory + '/synchrony.jpg',

    init: function() {
        this.addHTML();
        this.addEvents();
    },

    addHTML: function() {
        var synchrony_template = document.querySelector("#synchrony-checkout-template #synchrony-container").cloneNode(true);
        $("body").append(synchrony_template);
        $("#synchrony-checkout-template").remove();

        var html = '<div class="payment-type-option">';
            html += '<span><input type="radio" name="payment-type" id="payment-type-synchrony" value="SYNCHRONY" class="payment-type" autocomplete="off" required /></span>';
            html += '<label for="payment-type-synchrony"><img alt="Synchrony" id="airport-logo-button" /></label>';
        html += '</div>';
        $("#payment-types-container").prepend(html);

        $(".checkout-form[data-step='4'] .checkout-form-fields-container").append('<button id="synchrony-order-button" disabled class="order-place"><img alt="Pay with Synchrony" /></button>');

        $("#airport-logo-button, #synchrony-order-button img").attr('src', this.airport_card_logo);
    },

    addEvents: function() {
        var that = this;

        window.addEventListener("message", function(event) {
            if(typeof event.data == 'string' && (event.data == 'Close Model' || event.data == 'Return To Merchant Shipping')) {
                $.ajax({
                    type: 'POST',
                    url: CheckoutForm.ajax_url,
                    data: { operation: 'getSynchronyPaymentStatusFromCheckout' },
                    cache: false,
                    dataType: 'JSON',
                    success:function(response) {
                        if('order_id' in response) {
                            document.location.href = CheckoutForm.order_success_url;
                        }
                    },
                    error: function(response) {
                        var error = JSON.parse(response.responseText);

                        $("#checkout-message").html('<span class="checkout-lightbox-error">' + error.message + '</span>');
                        $("#checkout-message-container").show();
                        $(".checkout-lightbox-close-button").show();
                    }
                });
            }
        });

        $("#checkout-form-terms-agree").on('click', function() {
            if(CheckoutForm.validateTermsCheckbox() == 1)
                $("#synchrony-order-button").removeAttr('disabled');
            else
                $("#synchrony-order-button").attr('disabled', 'disabled');
        });

        $("#synchrony-order-button").on('click', function() {
            that.validateInformationForSynchrony();
        });
    },

    validateInformationForSynchrony: function() {
        if(CheckoutForm.validateTermsCheckbox() == 0)
            return;

        var that = this;

        $("#checkout-message").html('Processing ...');
        $(".checkout-lightbox-close-button").hide();
        $("#checkout-message-container").show();
        $.ajax({
            type: 'POST',
            url: CheckoutForm.ajax_url,
            data: { operation: 'validateInformationForSynchrony' },
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                if(response.synchrony_verified == 0)
                    $("#synchrony-modal input[name='processInd']").val('3');
                else
                    $("#synchrony-modal input[name='processInd']").val('2');
                $("#synchrony-modal input[name='tokenId']").val(response.synchrony_client_token);
                $("#synchrony-modal input[name='clientTransId']").val(response.cart_id);
                $("#synchrony-modal input[name='custFirstName']").val(response.billing.first_name);
                $("#synchrony-modal input[name='custLastName']").val(response.billing.last_name);
                $("#synchrony-modal input[name='custAddress1']").val(response.billing.street_1);
                $("#synchrony-modal input[name='custState']").val(response.billing.state);
                $("#synchrony-modal input[name='custCity']").val(response.billing.city);
                $("#synchrony-modal input[name='phoneNumber']").val(response.billing.phone);
                $("#synchrony-modal input[name='emailAddress']").val(response.billing.email);
                $("#synchrony-modal input[name='custZipCode']").val(response.billing.zip);
                $("#synchrony-modal input[name='transAmount1']").val(response.total_price);
                $("#synchrony-modal input[name='transPromo1']").val(response.total_price > 899 ? '326' : '100');
                $("#dbuymodel1-button").click();
            }, this),
            error: function(response) {
                var error = JSON.parse(response.responseText);

                $("#checkout-message").html('<span class="checkout-lightbox-error">' + error.message + '</span>');
                $("#checkout-message-container").show();
                $(".checkout-lightbox-close-button").show();
            }
        });
    },
};

if(CheckoutForm.has_synchrony_checkout == 1) {
    SynchronyCheckout.init();
}

var WellsFargoCheckout = {
    merchant_no: "<?= $wellsfargo_api_keys['merchant_number'] ?>",

    init: function() {
        this.addHTML();
        this.addEvents();
    },

    addHTML: function() {
        var wellsfargo_template = document.querySelector("#wellsfargo-checkout-template #wells-fargo-container").cloneNode(true);
        $("body").append(wellsfargo_template);
        $("#wellsfargo-checkout-template").remove();

        var html = '<div class="payment-type-option">';
            html += '<span><input type="radio" name="payment-type" id="payment-type-wellsfargo" value="WELLSFARGO" class="payment-type" autocomplete="off" required /></span>';
            html += '<label for="payment-type-wellsfargo" id="wellsfargo-logo-button">Wells Fargo Financing</label>';
        html += '</div>';
        $("#payment-types-container").prepend(html);

        $(".checkout-form[data-step='4'] .checkout-form-fields-container").append('<button id="wellsfargo-order-button" class="order-place" disabled><img src="<?= IMG_DIRECTORY ?>/lock-icon.svg" /><span>Proceed with Wells Fargo Finacing</span></button>');
    },

    addEvents: function() {
        var that = this;

        $("#wellsfargo-order-button").on('click', function() {
            if($("#wells-fargo-container").attr('data-loaded') == '0') {
                that.loadSDK();
            }
            else {
                that.startCheckout();
            }
        });

        $("#checkout-form-terms-agree").on('click', function() {
            if(CheckoutForm.validateTermsCheckbox() == 1)
                $("#wellsfargo-order-button").removeAttr('disabled');
            else
                $("#wellsfargo-order-button").attr('disabled', 'disabled');
        });

        $("#wells-fargo-close-button").on('click', function() {
            $("#wells-fargo-container").hide();
            WF_SDK_BOOTSTRAP.hide();
        });
    },

    loadSDK: function() {
        $("#checkout-message").html('Processing ...');
        $(".checkout-lightbox-close-button").hide();
        $("#checkout-message-container").show();  

        var that = this;

        WF_SDK_BOOTSTRAP.initialize({
            secureConfigurationUrl: CheckoutForm.ajax_url + '?operation=getWellsFargoSessionToken',
            sdkUrl: 'https://static.wellsfargo.com/websdk/ao/plcc/1.5.latest',
            brandIdentifier: 'lean',
            displayIntro: false,
            displayPrequalification: false,
            displayApplication: true,
            merchantNumber: that.merchant_no,
            targetDivId: 'wells-card-offer',
            loggingEnabled: true,
            consoleLoggingEnabled: true,
            silentInit: true,
            callbacks: {
                general: {
                    ready: function(data) {
                        $("#checkout-message-container").hide();
                        $("#wells-fargo-container").attr('data-loaded', '1').css('min-height', document.body.clientHeight + 'px');

                        that.startCheckout();
                    },
                    error: function(data) {
                        $("#checkout-message").html('<span class="checkout-lightbox-error">' + data.error_message + '</span>');
                        $("#checkout-message-container").show();
                        $(".checkout-lightbox-close-button").show();
                    },
                    secure_configuration_error: function(data) {
                        $("#checkout-message").html('<span class="checkout-lightbox-error">' + data.error_message + '</span>');
                        $("#checkout-message-container").show();
                        $(".checkout-lightbox-close-button").show();
                    },
                },
                checkout: {
                    error: function(data) {
                        console.log('Checkout Error');
                    },
                    termsAccepted: function(data) {
                        that.sendAuthorizeRequest(data['last4AccountNumber'], data['plan']);
                    },
                },
                application: {
                    approved: function(data) {
                        console.log('Application Approved');
                    }
                }
            }
        });
    },

    sendAuthorizeRequest: function(last_4_account_no, plan) {
        $("#wells-fargo-container").hide();
        WF_SDK_BOOTSTRAP.hide();

        $("#checkout-message").html('Processing ...');
        $(".checkout-lightbox-close-button").hide();
        $("#checkout-message-container").show();
        $.ajax({
            type: 'POST',
            url: CheckoutForm.ajax_url,
            data: { operation: 'placeOrderWithWellsFargo', last_4_account_no: last_4_account_no, plan: plan },
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                if('order_id' in response) {
                    document.location.href = CheckoutForm.order_success_url;
                }
            }, this),
            error: function(response) {
                var error = JSON.parse(response.responseText);

                $("#checkout-message").html('<span class="checkout-lightbox-error">' + error.message + '</span>');
                $("#checkout-message-container").show();
                $(".checkout-lightbox-close-button").show();
            }
        });
    },

    startCheckout: function() {
        WF_SDK_BOOTSTRAP.checkout({
            "firstName": $.trim($("#billing-address-first-name").val()),
            "lastName": $.trim($("#billing-address-first-name").val()),
            "plans": ["1681", "1000", "4020"],
            "financedAmount": Math.ceil(parseFloat($('#cart-total-value').html().substring(1))).toString()
        });
        
        $("#wells-fargo-container").show();
        $("#wells-fargo-container").get(0).scrollIntoView();
    }
};

if(CheckoutForm.has_wellsfargo_checkout == 1) {
    WellsFargoCheckout.init();
}

var AmazonPayCheckout = {
    amazonpay_client_id: "<?= $amazonpay_api_keys['amazonpay-client-id'] ?>",

    mws_seller_id: "<?= $amazonpay_api_keys['mws-seller-id'] ?>",

    amazonpay_logo: CheckoutForm.image_directory + '/amazon-pay.png',

    order_reference_id: null,

    init: function() {
        this.addHTML();
        this.addEvents();
    },

    addHTML: function() {
        var html = '<div class="payment-type-option">';
            html += '<span><input type="radio" name="payment-type" id="payment-type-amazonpay" value="AMAZONPAY" class="payment-type" autocomplete="off" required /></span>';
            html += '<label for="payment-type-amazonpay" id="amazonpay-logo-button"><img alt="Amazon Pay" /></label>';
        html += '</div>';
        $("#payment-types-container").prepend(html);

        $("#amazonpay-logo-button img").attr('src', this.amazonpay_logo);

        var amazonpay_template = document.querySelector("#amazonpay-checkout-template #amazonpay-container").cloneNode(true);
        $("#amazonpay-checkout-template").remove();
        $(".checkout-form[data-step='4'] .checkout-form-fields-container").append(amazonpay_template);
    },

    addEvents: function() {
        var that = this;

        window.onAmazonLoginReady = function() {
            amazon.Login.setClientId(that.amazonpay_client_id);
        };

        window.onAmazonPaymentsReady = function() {
            that.showPayButton();
        };

        $("#checkout-form-terms-agree").on('click', function() {
            if(CheckoutForm.validateTermsCheckbox() == 1)
                $("#AmazonPayButton").removeClass('amazonpay-login-disabled');
            else
                $("#AmazonPayButton").addClass('amazonpay-login-disabled');
        });

        $("#amazonpay-order-button").on('click', function() {
            that.placeOrder();
        });
    },

    showPayButton: function() {
        var that = this; 
        
        OffAmazonPayments.Button("AmazonPayButton", that.mws_seller_id, { 
            type:  "PwA", 
            color: "Gold", 
            size:  "large", 
            authorization: function() { 
                amazon.Login.authorize({ scope: "payments:widget", popup: true }, function(response) {

                }); 
            },
            onSignIn: function(orderReference) {
                $("#AmazonPayButton").hide();
                that.showPaymentOptions();
            },
            onError: function(error) { 
                console.log(error.getErrorMessage());
            } 
        });
    },

    showPaymentOptions: function() {
        var that = this;

        new OffAmazonPayments.Widgets.Wallet({ 
            sellerId: that.mws_seller_id,
            onOrderReferenceCreate: function(orderReference) {
                that.order_reference_id = orderReference.getAmazonOrderReferenceId();
            },
            design: {
                designMode: 'responsive'
            },
            onPaymentSelect: function(orderReference) {  
                $("#amazonpay-order-button").css('display', 'inline-block').removeAttr('disabled');
            },
            onError: function(error) {
                console.log(error.getErrorMessage());
            }
        }).bind("walletWidgetDiv");
    },

    placeOrder: function() {
        $("#checkout-message").html('Processing ...');
        $(".checkout-lightbox-close-button").hide();
        $("#checkout-message-container").show();
        $.ajax({
            type: 'POST',
            url: CheckoutForm.ajax_url,
            data: { operation: 'placeOrderWithAmazonPay', order_reference_id: this.order_reference_id },
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                if('order_id' in response) {
                    document.location.href = CheckoutForm.order_success_url;
                }
            }, this),
            error: function(response) {
                var error = JSON.parse(response.responseText);

                $("#checkout-message").html('<span class="checkout-lightbox-error">' + error.message + '</span>');
                $("#checkout-message-container").show();
                $(".checkout-lightbox-close-button").show();
            }
        });
    }
};

if(CheckoutForm.has_amazonpay_checkout == 1) {
    AmazonPayCheckout.init();
}

</script>

</body>
</html>