<?php

class Email
{
	public function getOrderConfirmationEmail($order) {
		$html = '<!DOCTYPE html>';
		$html .= '<html>';
		$html .= '<head>';
			$html .= '<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />';
			$html .= '<meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=1.0,user-scalable=no">';
			$html .= '<style type="text/css">';
				$html .= 'body { font-family:Tahoma; font-size:14px; } ';
				$html .= '#success-header { font-size: 18px; font-weight: 700; margin: 20px 0px 0px 0px; } ';
				$html .= '.table-category { background-color: #F7F7F7; padding: 15px 20px; font-weight: 700; margin: 40px 0 10px 0; } ';
				$html .= 'table { width: 100%; border-collapse: collapse; } ';
				$html .= '.heading-table { margin: 40px 0 10px 0; } ';
				$html .= '.heading-table td { background-color: #F7F7F7; padding: 15px 20px; font-weight: 700; } ';
				$html .= '.heading-table td span { display: inline-block; vertical-align: middle; padding: 0 0 5px 0; border-bottom: 3px solid #DA1206; text-transform: uppercase; } ';
				$html .= '#order-id-table td, #items-table td, #delivery-table td { border: 1px solid rgba(0,0,0,0.1); padding: 10px; } ';
				$html .= '.light { color: #676767; } ';
				$html .= '.bold { font-weight: 700; } ';
				$html .= '.small-text { font-size: 1em; } ';
				$html .= '.right-align { text-align: right; } ';
				$html .= '#logo { display:block; margin:40px 0 0 0; width:200px; } ';
			$html .= '</style>';
		$html .= '</head>';
		$html .= '<body>';
			$html .= '<h4 id="success-header">Thank you for your ' . ($order['paymenttype'] == 'QUOTE' ? 'quote' : 'order') . '!</h4>';
			$html .= '<table class="heading-table"><tr><td><span>' . ($order['paymenttype'] == 'QUOTE' ? 'Quote' : 'Order') . ' ID</span></td></tr></table>';
			$html .= '<table id="order-id-table">';
			    $html .= '<tr><td>' . $order['id'] . '</td></tr>';
			$html .= '</table>';
			$html .= '<table class="heading-table"><tr><td><span>' . ($order['paymenttype'] == 'QUOTE' ? 'Quote' : 'Order') . ' Details</span></td></tr></table>';
			$html .= '<table id="items-table">';
			    for($i=0; $i<sizeof($order['items']); $i++) {
			        $html .= '<tr>';
			            $html .= '<td>' . $order['items'][$i]['details'] . '</td>';
			            $html .= '<td>' . 'x ' . $order['items'][$i]['qty'] . '</td>';
			            $html .= '<td class="right-align">' . money_format('$%i', $order['items'][$i]['qty']*$order['items'][$i]['price']) . '</td>';
			        $html .= '</tr>';
			    }
			    if($order['discount'] != NULL)
			    	$html .= '<tr><td colspan="2">Discounts</td><td class="right-align">$' . $order['discount'] . '</td></tr>';
			    $html .= '<tr><td colspan="2">Subtotal</td><td class="right-align">$' . $order['subtotal'] . '</td></tr>';
			    $html .= '<tr><td colspan="2">Shipping</td><td class="right-align">$' . $order['shipping'] . '</td></tr>';
			    $html .= '<tr><td colspan="2">Tax</td><td class="right-align">$' . $order['tax'] . '</td></tr>';
			    $html .= '<tr class="bold"><td colspan="2">Grand Total</td><td class="right-align">$' . $order['grandtotal'] . '</td></tr>';
			$html .= '</table>';
			$html .= '<table class="heading-table"><tr><td><span>' . ($order['localpickup'] == 1 ? 'Warehouse Pickup Address' : 'Delivery Address') . '</span></td></tr></table>';
			$html .= '<table id="delivery-table">';
			    if($order['localpickup'] == 1) {
			        $html .= '<tr><td>';
			            $html .= $order['pickup_store'];
			            if($order['paymenttype'] != 'QUOTE')
			            	$html .= '<br /><br />' . '<span class="small-text">We will call when your order is ready for collection, please bring the credit card used for this purchase and a valid form of identification.</span>';
			        	$html .= '<br /><br />' . $order['billing']['fname'] . ' ' . $order['billing']['lname'] . '<br />' . $order['billing']['address1'] . ($order['billing']['address1'] != '' ? ', ' . $order['billing']['address2'] : '') . '<br />' . $order['billing']['city'] . '<br />' . $order['billing']['region'] . ' ' . $order['billing']['zip'];
			        $html .= '</td></tr>';
			    }
			    else {
			        $html .= '<tr><td>';
			            $html .= $order['shipfname'] . ' ' . $order['shiplname'] . '<br />' . $order['shipaddress1'] . ($order['shipaddress1'] != '' ? ', ' . $order['shipaddress2'] : '') . '<br />' . $order['shipcity'] . '<br />' . $order['shipregion'] . ' ' . $order['shipzip'];
			            $html .= '<br />Phone: ' . $order['shipphone'];
			            $html .= '<br />Email: ' . $order['shipemail'];
			        $html .= '</td></tr>';
			    }
			$html .= '</table>';
			$html .= '<img id="logo" src="' . $order['sitelogo'] . '" />';
		$html .= '</body>';
		$html .= '</html>';

		return $html;
	}
}

?>