<?php

class OrderDetails
{
	private $conndb;

	public function __construct($mysql_hostname, $mysql_username, $mysql_password, $mysql_database) {
		$conndb = new mysqli($mysql_hostname, $mysql_username, $mysql_password, $mysql_database);
		if($conndb->connect_errno)
			throw new Exception('Error : Server failed. It might be possible that your DB credentials are wrong');
		$this->conndb = $conndb;
	}

	public function getOrderDetails($order_id) {
		$query = "SELECT id,client,subtotal,shipping,tax,grandtotal,shipfname,shiplname,shipaddress1,shipaddress2,shipcity,shipregion,shipcountries,shipzip,shipemail,shipphone,localpickup,localpickuplocation,transactionid,fullResponse,discount,paymenttype FROM tbl_orders WHERE id=" . $this->conndb->real_escape_string($order_id);
		$result = $this->conndb->query($query);
		if(!$result)
			throw new Exception($this->conndb->error);
		if($result->num_rows == 0)
			throw new Exception('Error : Order does not exist');

		$order = $result->fetch_assoc();
		$order['email_bcc'] = NULL;
		$order['items'] = array();

		$query = "SELECT email,fname,lname,address1,address2,city,region,zip FROM tbl_clients WHERE id=" . $order['client'];
		$result = $this->conndb->query($query);
		if(!$result)
			throw new Exception($this->conndb->error);
		if($result->num_rows == 0)
			throw new Exception('Error : Client does not exist');
		$billing = $result->fetch_assoc();
		$order['billing'] = $billing;

		if($order['localpickup'] == 1) {
			$query = "SELECT CONCAT(name, ' ', address, ' ', 'city', ' ', zip) AS collectionpoint FROM tbl_stores WHERE id=" . $this->conndb->real_escape_string($order['localpickuplocation']);
			$result = $this->conndb->query($query);
			if(!$result)
				throw new Exception($this->conndb->error);
			if($result->num_rows == 0)
				throw new Exception('Error : No pickup store found');

			$pickup_store = $result->fetch_assoc();
			$order['pickup_store'] = $pickup_store['collectionpoint'];
		}

		$query = "SELECT sku,details,qty,price FROM tbl_orderdetails WHERE orders=" . $this->conndb->real_escape_string($order_id);
		$result = $this->conndb->query($query);
		if(!$result)
			throw new Exception($this->conndb->error);
		if($result->num_rows == 0)
			throw new Exception('Error : No items in the order');

		for($i=0; $i<$result->num_rows; $i++) {
			$order_item = $result->fetch_assoc();
			$order['items'][] = $order_item;
		}

		$query = "SELECT email,email_cc,email_bcc,sitetitle,logo,autoresponder FROM tbl_sitedetails";
		$result = $this->conndb->query($query);
		if($result && $result->num_rows != 0) {
			$row = $result->fetch_assoc();

			$emails = explode(';', $row['email']);

			$order['email_bcc'] = implode(',', $emails);
			$order['sitetitle'] = $row['sitetitle'];
			$order['sitelogo'] = strtolower(substr($_SERVER['SERVER_PROTOCOL'], 0, strpos($_SERVER['SERVER_PROTOCOL'], '/'))) . '://' . $_SERVER['HTTP_HOST'] . '/uploads/files/' . $row['logo'];
			$order['autoresponder'] = $row['autoresponder'];
		}

		return $order;
	}
}

?>