<?php

class PaypalPayflowApi
{
	private $is_sandbox;

	private $payflow_vendor;

	private $payflow_user;

	private $payflow_password;

	public function __construct($is_sandbox, $payflow_vendor, $payflow_user, $payflow_password) {
		$this->is_sandbox = $is_sandbox;
		$this->payflow_vendor = $payflow_vendor;
		$this->payflow_user = $payflow_user;
		$this->payflow_password = $payflow_password;
	}

	public function capturePayment($billing, $shipping, $payment, $items, $cart_id, $cart_amount) {
		if($this->is_sandbox == 1)
			$api_url = 'https://pilot-payflowpro.paypal.com';
		else
			$api_url = 'https://payflowpro.paypal.com';

		$params = array(
						'PARTNER' => 'PayPal',
						'PWD' => $this->payflow_password,
						'VENDOR' => $this->payflow_vendor,
						'USER' => $this->payflow_user,
						'TENDER' => 'C',
						'TRXTYPE' => 'S',
						'ACCT' => $payment['card_number'],
						'EXPDATE' => ($payment['card_month'] . substr($payment['card_year'],-2)),
						'CVV2' => $payment['card_ccv'],
						'AMT' => $cart_amount,
						'VERBOSITY' => 'HIGH',
						'COMMENT1' => $cart_id,
						'BILLTOFIRSTNAME' => substr($billing['first_name'], 0, 29),
						'BILLTOLASTNAME' => substr($billing['last_name'], 0, 29),
						'BILLTOSTREET' => substr($billing['street_1'], 0, 29),
						'BILLTOSTREET2' => substr($billing['street_2'], 0, 29),
						'BILLTOCITY' => substr($billing['city'], 0, 19),
						'BILLTOSTATE' => $billing['state'],
						'BILLTOZIP' => $billing['zip'],
						'BILLTOCOUNTRY' => $billing['country']
					);

		$ch = curl_init();
		curl_setopt($ch, CURLOPT_POST,1);
		curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($params));
		curl_setopt($ch, CURLOPT_URL, $api_url);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
		$response = curl_exec($ch);
		parse_str($response, $response);
		$http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
		curl_close($ch);
		if($http_code != 200)
			throw new Exception('Error: Payment could not be processed');
		
		if($response['RESULT'] == 0 || $response['RESULT'] == 126) {
			$transaction_details = array("authCode" => $response['AUTHCODE'], "transId" => $response['PNREF'], "refId" => $response['PNREF'], "full_response" => json_encode($response));
			if($response['RESULT'] == 0)
				$transaction_details['payer_status'] = 'Approved';
			else
				$transaction_details['payer_status'] = 'On Hold for Review';
			
			return $transaction_details;
		}
		else
			throw new Exception('Error: Payment Failed -' . $response['RESPMSG']);
	}
}

?>