<?php
session_start();

require_once('settings.php');
require_once(CONNDB_SCRIPT_PATH);
require_once('models/ShoppingCart.php');

$pickup_store = $ShoppingCart->getPickupStore();
$delivery_zipcode = $ShoppingCart->getZipCode();
$delivery_details = $ShoppingCart->getDeliveryDetails();
$pickup_stores = $ShoppingCart->getAllPickupStores();
$is_cart_mode = $ShoppingCart->isCartMode();

if(HAS_SYNCHRONY == 1)
    $synchrony_api_keys = $ShoppingCart->getSynchronyApiKeys();

?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=1.0,user-scalable=no">
<script src="//ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
<style type="text/css">

body {
    margin: 0; 
}

#cart-item-container-template, #cart-item-template, #item-select-container-template, #item-select-option-template, #item-addon-option-template, #item-mics-option-template {
    display: none;
}

#shopping-cart-container {
    max-width: 1200px;
    margin: 80px auto;
}

#shopping-cart-container button:disabled {
    cursor: not-allowed;
    opacity: 0.5;
}

#shopping-cart-loader {
    text-align: center;
    display: none;
}

#shopping-cart-empty {
    text-align: center;
    display: none;
}

#shopping-cart-inner-container {
    display: none;
}

#shoping-cart-items-container {
    display: inline-block;
    vertical-align: top;
    width: 60%;
    margin: 0 10% 0 0;
}

#shopping-cart-num-items {
    font-size: 24px;
    font-weight: 700;
    padding: 0 0 0 10px;
    line-height: 1.3;
    position: relative;
}

#shopping-cart-clear-button {
    display: inline-block;
    vertical-align: middle;
    color: #676767;
    cursor: pointer;
    background: none;
    border: none;
    padding: 0;
    outline: none;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 0;
    font-size: 14px;
    font-weight: 400;
}

#cart-id-container {
    font-size: 14px;
    padding: 5px 20px 10px 10px;
    color: #666666;
}

#shopping-cart-all-items {

}

.cart-item-container {
    margin: 0 0 80px 0;
}

.cart-item {
    padding: 20px;
    box-sizing: border-box;
    border-top: 2px solid #D8D6D6;
}

.cart-item-info {

}

.cart-item-image {
    display: inline-block;
    vertical-align: top;
    margin: 0 5% 0 0;
    width: 15%;
}

.cart-item-image img {
    max-width: 120px;
    width: 100%;
}

.cart-item-text {
    display: inline-block;
    vertical-align: top;
    width: 80%;
}

.cart-item-name {
    font-size: 16px;
    margin: 0 0 20px 0;
    text-decoration: none;
    display: block;
    color: inherit;
}

.cart-item-name:hover {
    text-decoration: underline;
    color: inherit;
}

.cart-item-name:visited {
    color: inherit;
}

.cart-item-brand {
    font-weight: 700;
    margin: 0 3px 0 0;
    display: inline;
    vertical-align: middle;
}

.cart-item-title {
    display: inline;
    vertical-align: middle;
}

.cart-item-model-sku {
    font-size: 14px;
    color: #676767;
    font-weight: 700;
    margin: 0 0 10px 0;
}

.cart-item-model {
    margin: 0 50px 0 0;
    display: inline-block;
    vertical-align: middle;
}

.cart-item-model-value {
    font-weight: normal;
    margin: 0 0 0 5px;
}

.cart-item-controls {
    font-size: 14px;
}

.cart-item-price {
    display: inline-block;
    vertical-align: middle;
}

.cart-item-price-separator {
    display: inline-block;
    vertical-align: middle;
    margin: 0 5px;
}

.cart-item-quantity {
    display: inline-block;
    vertical-align: middle;
}

.cart-item-quantity span {
    display: inline-block;
    vertical-align: middle;
    font-weight: 700;
}

.cart-item-quantity-update-container {
    border: 1px solid #cccccc;
    border-radius: 3px;
    display: inline-block;
    vertical-align: middle;
    margin: 0 0 0 10px;
}

.cart-item-quantity-update-container button {
    display: inline-block;
    vertical-align: middle;
    border: none;
    padding: 8px;
    background: none;
    cursor: pointer;
    font-weight: 700;
    color: #676767;
}

.cart-item-quantity-subtract {
    
}

.cart-item-quantity-value {

}

.cart-item-quantity-add {
    
}

.cart-item-remove-button {
    display: inline-block;
    vertical-align: middle;
    font-size: inherit;
    color: #2A4496;
    cursor: pointer;
    background: none;
    border: none;
    padding: 0;
    outline: none;
    margin: 0 0 0 30px;
    font-weight: 700;
}

.item-select-container {
    margin: 40px 0 0 0;
}

.item-select-header {
    background-color: #F7F7F7;
    padding: 15px 20px;
    font-weight: 700;
    position: relative;
}

.item-select-icon {
    display: inline-block;
    vertical-align: middle;
    width: 35px;
    margin: 0 10px 0 0;
}

.item-select-title {
    display: inline-block;
    vertical-align: middle;
    padding: 0 0 5px 0;
    border-bottom: 3px solid #DA1206;
}

.item-select-container-collapse {
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
    cursor: pointer;
}

.item-select-all-options {
    margin: 15px 0 0 0;
}

.item-select-option-container {
    padding: 0 0 0 25px;
    margin: 0 0 20px 0;
    font-size: 14px;
}

.item-select-option-container:last-child {
    margin: 0 !important;
}

.item-select-option-container input[type="radio"] {
    display: inline-block;
    vertical-align: middle;
    margin: 0;
}

.item-select-option-title {
    display: inline-block;
    vertical-align: middle;
    margin: 0 10px;
}

.item-select-option-price {
    font-weight: 700;
    display: inline-block;
    vertical-align: middle;
}

.item-select-option-tooltip {
    position: relative;
    display: none;
    vertical-align: middle;
    background-color: #777;
    color: white;
    border-radius: 50%;
    font-size: 12px;
    margin: 0 0 0 20px;
    width: 20px;
    height: 20px;
    line-height: 20px;
    text-align: center;
    cursor: pointer;
}

.item-select-option-tooltip-text {
    position: absolute;
    left: 280%;
    color: white;
    top: 50%;
    transform: translateY(-50%);
    width: 250px;
    z-index: 1;
    background-color: rgba(42,68,150,0.9);
    padding: 15px;
    line-height: 1.5;
    text-align: left;
    display: none;
}

.item-select-option-tooltip-text::before {
    content: ""; 
    border-top: 15px solid transparent; 
    border-right: 30px solid rgba(42,68,150,0.9); 
    border-bottom: 15px solid transparent;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 2;
    left: -30px;
}

.item-select-option-tooltip-text div {
    font-weight: 700;
    margin: 0 0 10px 0;
}

.item-select-option-tooltip-text ul {
    font-weight: 700;
    padding: 0 0 0 15px;
    margin: 0;
    font-weight: 400;
    list-style: disc;
}

.item-addon-option-container {
    padding: 0 0 0 25px;
    margin: 0 0 20px 0;
    font-size: 14px;
}

.item-addon-option-container:last-child {
    margin: 0 !important;
}

.item-addon-option-container input[type="checkbox"] {
    display: inline-block;
    vertical-align: middle;
    margin: 0;
}

.item-addon-option-title {
    display: inline-block;
    vertical-align: middle;
    margin: 0 10px;
    width: 85%;
}

.item-addon-option-price {
    font-weight: 700;
    display: inline-block;
    vertical-align: middle;
}

.item-mics-option-container {
    padding: 0 0 0 25px;
    margin: 0 0 20px 0;
    font-size: 14px;
}

.item-mics-option-container:last-child {
    margin: 0 !important;
}

.item-mics-option-container input[type="radio"] {
    display: inline-block;
    vertical-align: middle;
    margin: 0;
}

.item-mics-option-title {
    display: inline-block;
    vertical-align: middle;
    margin: 0 10px;
    width: 83%;
}

.item-mics-option-price {
    font-weight: 700;
    display: inline-block;
    vertical-align: middle;
}

#shopping-cart-price-container {
    display: inline-block;
    vertical-align: top;
    width: 30%;
    border-radius: 3px;
    border: 2px solid #D8D6D6;
    box-sizing: border-box;
    min-height: 400px;
    position: relative;
}

#cart-price-loader-container {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(255,255,255,0.9);
    top: 0;
    left: 0;
    display: none;
}

#cart-price-loader {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 18px;
    font-weight: 700;
    color: #2A4496;
}

#cart-summary-upper {
    padding: 20px 20px 30px 20px;
    display: none;
}

#order-summary-header {
    font-size: 24px;
    padding: 0 0 12px 0;
    border-bottom: 2px solid rgb(216,214,214, 0.4);
    margin: 0 0 15px 0;
}

#cart-items-container {

}

.cart-price-field {
    margin: 0 0 15px 0;
}

.cart-price-field-name {
    display: inline-block;
    vertical-align: top;
    width: 75%;
}

.cart-price-field-name span {
    display: block;
}

.cart-summary-item-name {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 100%;
}

.cart-summary-item-quantity {
    font-size: 14px;
    color: #676767;
    margin: 5px 0 0 0;
}

.cart-price-field-value {
    display: inline-block;
    vertical-align: top;
    width: 25%;
    text-align: right;
}

#cart-subtotal {
    padding: 10px 0 0 0;
    border-top: 2px solid rgb(216,214,214, 0.4);
    font-weight: 700;
}

#cart-total {
    padding: 20px 0 0 0;
    border-top: 2px solid rgb(216,214,214, 0.4);
    font-weight: 700;
    font-size: 18px;
    margin: 0 0 30px 0;
}

#cart-savings {
    padding: 10px 0 0 0;
    border-top: 2px solid rgb(216,214,214, 0.4);
}

#cart-coupon-code-container {

}

#cart-coupon-code-message {

}

#cart-coupon-code-input {
    margin: 8px 0 0 0;
}

#cart-coupon-code {
    border: 2px solid #D8D6D6;
    border-right: none;
    display: inline-block;
    vertical-align: middle;
    line-height: 50px;
    height: 50px;
    box-sizing: border-box;
    font-size: inherit;
    font-family: inherit;
    outline: none;
    border-radius: 6px 0 0 6px;
    width: 75%;
    padding: 0 10px;
    margin: 0;
    box-shadow: none;
    transition: none;
}

#cart-apply-coupon-button {
    border: 2px solid #2A4496;
    background-color: #2A4496;
    color: white;
    display: inline-block;
    vertical-align: middle;
    line-height: 50px;
    height: 50px;
    box-sizing: border-box;
    font-size: 14px;
    font-weight: 700;
    font-family: inherit;
    outline: none;
    border-radius: 0 6px 6px 0;
    text-transform: uppercase;
    width: 25%;
    cursor: pointer;
}

#cart-coupon-code-output {
    margin: 10px 0 0 0;
    display: none;
}

#current-coupon-code {
    display: inline-block;
    font-size: 18px;
    margin: 0 15px 0 0;
    border: 1px dashed #676767;
    padding: 5px
}

#remove-coupon-code {
    display: inline-block;
    vertical-align: middle;
    border: none;
    background-color: white;
    color: #2A4496;
    font-family: inherit;
    outline: none;
    cursor: pointer;
    font-size: 14px;
}

#current-coupon-text {
    color: #676767;
    margin: 5px 0 0 0;
    font-size: 14px;
}

#cart-delivery-container {
    margin: 30px 0 0 0;
    position: relative;
}

#cart-delivery-header {
    margin: 0 0 8px 0;
}

.cart-delivery-option-container {
    margin: 0 0 10px 0;
}

.cart-delivery-option-container:last-child {
    margin: 0 !important;
}

.cart-delivery-option-radio-container {
    margin: 0 5% 0 0;
    display: inline-block;
    vertical-align: middle;
    width: 5%;
}

.cart-delivery-option-container input[type="radio"] {
    display: inline-block;
    vertical-align: middle;
    margin: 0;
}

.cart-zip-container {
    display: inline-block;
    vertical-align: middle;
    width: 90%;
}

.cart-zip-container span:nth-child(1) {
    display: block;
}

.cart-zip-container span:nth-child(2) {
    margin: 3px 0 0 0;
}

.current-zip-code {
    font-style: normal;
    margin: 0 15px 0 0;
}

.change-zip-button {
    color: #2A4496;
    cursor: pointer;
    font-size: 12px;
}

#cart-new-zip-container {
    width: 100%;
    height: 100%;
    background-color: white;
    position: absolute;
    top: 0;
    left: 0;
}

#cart-new-zip-inner-container {
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 100%;
    position: absolute;
}

#cart-new-zip-container-message {
    margin: 0 0 8px 0;
}

#shipping-zip {
    padding: 0 10px;
    border: 2px solid #D8D6D6;
    border-right: none;
    font-size: 14px;
    font-family: inherit;
    outline: none;
    border-radius: 6px 0 0 6px;
    display: inline-block;
    vertical-align: middle;
    width: 75%;
    line-height: 50px;
    height: 50px;
    box-sizing: border-box;
    box-shadow: none;
    transition: none;
    margin: 0;
} 

#cart-set-zip-button {
    border: 2px solid #2A4496;
    background-color: #2A4496;
    color: white;
    display: inline-block;
    vertical-align: middle;
    font-size: 14px;
    font-weight: 700;
    font-family: inherit;
    outline: none;
    border-radius: 0 6px 6px 0;
    text-transform: uppercase;
    width: 25%;
    cursor: pointer;
    line-height: 50px;
    height: 50px;
}

.cart-delivery-option-container span {
    display: inline-block;
    vertical-align: middle;
}

#cart-buttons-container {
    padding: 20px;
    background-color: #F7F7F7;
    border-top: 2px solid #D8D6D6;
    display: none;
}

#checkout-buttons-container {

}

#cart-checkout-button {
    background-color: #088A06;
    color: white;
    display: block;
    width: 100%;
    padding: 15px;
    box-sizing: border-box;
    border: 2px solid #036901;
    text-align: center;
    text-transform: uppercase;
    border-radius: 6px;
    text-decoration: none;
    font-weight: 700;
}

#cart-checkout-button:visited {
    color: white;
}

#cart-checkout-button img {
    display: inline-block;
    vertical-align: middle;
    width: 15px;
    margin: 0 20px 0 0;
}

#cart-checkout-button span {
    display: inline-block;
    vertical-align: middle;
}

#cart-continue-shopping-button {
    background-color: white;
    color: #2A4496;
    display: block;
    width: 100%;
    padding: 15px;
    box-sizing: border-box;
    border: 1px solid #2A4496;
    text-align: center;
    margin: 20px 0;
    border-radius: 6px;
    text-decoration: none;
}

#cart-continue-shopping-button:visited {
    color: #2A4496;
}

#cart-message {
    font-size: 14px;
    line-height: 1.3;
}

#cart-summary-item-template {
    display: none;
}

/* lightbox */
.checkout-lightbox-container {
    position: fixed;
    background-color: rgba(0,0,0,0.5);
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
}

.checkout-lightbox-main {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 1px solid #707070;
    background-color: white;
    box-sizing: border-box;
    line-height: 1.5;
    padding: 40px 20px;
    min-width: 40%;
}

.checkout-lightbox-close-button {
    position: absolute;
    right: 20px;
    top: 20px;
    color: #676767;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 14px;
    font-family: inherit;
}

#checkout-message-container {
    display: none;
}

#checkout-message {
    font-size: 22px;
}

.checkout-lightbox-error {
    color: #e74c3c;
    font-weight: 700;
}

@media only screen and (min-width: 0px) and (max-width:767px) {
    #shopping-cart-container {
        margin: 50px auto;
    }

    #shoping-cart-items-container, #shopping-cart-price-container {
        width: 95%;
        padding: 0 1%;
        display: block;
        box-sizing: border-box;
        margin: 0 auto;
    }

    .cart-item {
        padding: 20px 0;
    }

    .item-addon-option-title {
        width: 70%;
    }
}

</style>
<style type="text/css">

#synchrony-checkout-template {
    display: none;
}

#synchrony-container {
    margin: 20px 0 0 0;
}

#synchrony-start-button {
    width: 100%;
    box-sizing: border-box;
    border: 1px solid #cccccc;
    border-radius: 6px;
    display: inline-block;
    background: none;
    padding: 0;
}

#synchrony-start-button img {
    display: inline-block;
    width: 100%;
    border-radius: 6px;
}

#dbuymodel1-button {
    display: none;
}

</style>
</head>

<body>

<div id="shopping-cart-container">
    <div id="shopping-cart-loader">Loading <?= ($is_cart_mode == 1 ? 'cart' : 'quote') . ' ...' ?></div>
    <div id="shopping-cart-empty">No items in the <?= $is_cart_mode == 1 ? 'cart' : 'quote' ?></div>
    <div id="shopping-cart-inner-container">
        <div id="shoping-cart-items-container">
            <div id="shopping-cart-num-items"><?= $is_cart_mode == 1 ? 'Shopping Cart' : 'Your Quote' ?> (<span id="shopping-cart-num-items-value"></span>)<button id="shopping-cart-clear-button">Clear <?= $is_cart_mode == 1 ? 'Cart' : 'Quote' ?></button></div>
            <div id="cart-id-container">Your unique <?= $is_cart_mode == 1 ? 'shopping cart' : 'quote' ?> reference : <span id="cart-id"></span></div>
            <div id="shopping-cart-all-items"></div>
        </div><!--
     --><div id="shopping-cart-price-container">
            <div id="cart-summary-upper">
                <div id="order-summary-header"><?= $is_cart_mode == 1 ? 'Order' : 'Quote' ?> Summary</div>
                <div id="cart-summary-items-container"></div>
                <div id="cart-savings" class="cart-price-field">
                    <div class="cart-price-field-name">Discounts</div><div class="cart-price-field-value" id="cart-savings-value"></div>
                </div>
                <div id="cart-subtotal" class="cart-price-field">
                    <div class="cart-price-field-name">Subtotal</div><div class="cart-price-field-value" id="cart-subtotal-value"></div>
                </div>
                <div id="cart-shipping" class="cart-price-field">
                    <div class="cart-price-field-name">Delivery</div><div class="cart-price-field-value" id="cart-shipping-value"></div>
                </div>
                <div id="cart-tax" class="cart-price-field">
                    <div class="cart-price-field-name">Tax <em>*</em></div><div class="cart-price-field-value" id="cart-tax-value"></div>
                </div>
                <div id="cart-total" class="cart-price-field">
                    <div class="cart-price-field-name">Total</div><div class="cart-price-field-value" id="cart-total-value"></div>
                </div>
                <div id="cart-coupon-code-container">
                    <div id="cart-coupon-code-message">Add Promotional Code</div>
                    <div id="cart-coupon-code-input">
                        <input type="text" id="cart-coupon-code" placeholder="Promo Code" autocomplete="off" /><!--
                     --><button id="cart-apply-coupon-button">Apply</button>
                    </div>
                    <div id="cart-coupon-code-output">
                        <div id="current-coupon-code"></div><button id="remove-coupon-code">Remove</button>
                        <div id="current-coupon-text"></div>
                    </div>
                </div>
                <div id="cart-delivery-container">
                    <div id="cart-delivery-header">Delivery Options</div>
                    <div class="cart-delivery-option-container">
                        <div class="cart-delivery-option-radio-container">
                            <input type="radio" name="cart-delivery-option" value="SHIP-INSTALL" />
                        </div><!--
                    --><div class="cart-zip-container">
                            <span><?= DELIVERY_TYPE_SHIP_INSTALL_TITLE ?> to <em class="current-zip-code"></em></span><!--
                         --><span class="change-zip-button">Change Zip</span>
                        </div>
                    </div>
                    <div class="cart-delivery-option-container">
                        <div class="cart-delivery-option-radio-container">
                            <input type="radio" name="cart-delivery-option" value="SHIP" />
                        </div><!--
                    --><div class="cart-zip-container">
                            <span><?= DELIVERY_TYPE_SHIP_TITLE ?> to <em class="current-zip-code"></em></span><!--
                         --><span class="change-zip-button">Change Zip</span>
                        </div>
                    </div>
                    <div class="cart-delivery-option-container">
                        <div class="cart-delivery-option-radio-container">
                            <input type="radio" name="cart-delivery-option" value="PICKUP" data-pickup-store-id="" />
                        </div><!--
                     --><span><?= DELIVERY_TYPE_PICKUP_TITLE ?></span>
                    </div>
                    <div id="cart-new-zip-container">
                        <div id="cart-new-zip-inner-container">
                            <div id="cart-new-zip-container-message">Enter Zip Code</div>
                            <input type="text" id="shipping-zip" placeholder="Zip Code" maxlength="5" /><!--
                         --><button id="cart-set-zip-button">Check</button>
                        </div>
                    </div>
                </div>
            </div>
            <div id="cart-buttons-container">
                <div id="checkout-buttons-container">
                    <a href="<?= CHECKOUT_PAGE ?>" id="cart-checkout-button"><img src="<?= IMG_DIRECTORY ?>/lock-icon.svg" /><span><?= $is_cart_mode == 1 ? 'Start Secure Checkout' : 'Continue to Quote' ?></span></a>
                </div>
                <a href="/" id="cart-continue-shopping-button">Continue Shopping</a>
                <div id="cart-message">* Taxes will be calculated after filling delivery details</div>
            </div>
            <div id="cart-price-loader-container">
                <div id="cart-price-loader">Getting <?= $is_cart_mode == 1 ? 'Cart' : 'Quote' ?> Price ..</div>
            </div>
        </div>
    </div>
</div>

<div id="cart-item-container-template">
    <div class="cart-item-container"></div>
</div>

<div id="cart-item-template">
    <div class="cart-item">
        <div class="cart-item-info">
            <div class="cart-item-image"><img /></div><!--
         --><div class="cart-item-text">
                <a class="cart-item-name" href="" target="_blank">
                    <div class="cart-item-brand"></div>
                    <div class="cart-item-title"></div>
                </a>
                <div class="cart-item-model-sku">
                    <div class="cart-item-model"><span>Model#</span><span class="cart-item-model-value"></span></div>
                </div>
                <div class="cart-item-controls">
                    <div class="cart-item-price"></div>
                    <div class="cart-item-price-separator">|</div>
                    <div class="cart-item-quantity">
                        <span>Qty:</span>
                        <div class="cart-item-quantity-update-container">
                            <button class="cart-item-quantity-subtract">-</button>
                            <span class="cart-item-quantity-value" data-quantity=""></span>
                            <button class="cart-item-quantity-add">+</button>
                        </div>
                    </div>
                    <button class="cart-item-remove-button">Remove Item</button>
                </div>
            </div>
        </div>
    </div>
</div>

<div id="item-select-container-template">
    <div class="item-select-container">
        <div class="item-select-header"><img class="item-select-icon" /><span class="item-select-title"></span><span class="item-select-container-collapse">&mdash;</span></div>
        <div class="item-select-all-options"></div>
    </div>
</div>

<div id="item-select-option-template">
    <div class="item-select-option-container">
        <input type="radio" autocomplete="off" /><div class="item-select-option-title"></div><div class="item-select-option-price"></div><div class="item-select-option-tooltip">?<span class="item-select-option-tooltip-text"></span></div>
    </div>
</div>

<div id="item-addon-option-template">
    <div class="item-addon-option-container">
        <input type="checkbox" autocomplete="off" class="item-addon-checkbox" /><div class="item-addon-option-title"></div><div class="item-addon-option-price"></div>
    </div>
</div>

<div id="item-mics-option-template">
    <div class="item-mics-option-container">
        <input type="radio" autocomplete="off" /><div class="item-mics-option-title"></div><div class="item-mics-option-price"></div>
    </div>
</div>

<div id="cart-summary-item-template">
    <div class="cart-price-field">
        <div class="cart-price-field-name">
            <span class="cart-summary-item-name"></span>
            <span class="cart-summary-item-quantity"></span>
        </div><!--
     --><div class="cart-price-field-value"></div>
    </div>
</div>

<div id="checkout-message-container" class="checkout-lightbox-container">
    <div class="checkout-lightbox-main">
        <div id="checkout-message"></div>
        <button class="checkout-lightbox-close-button">Close</button>
    </div>
</div>

<div id="synchrony-checkout-template">
    <div id="synchrony-container">
        <div id="synchrony-button-container">
            <button id="synchrony-start-button"><img src="<?= IMG_DIRECTORY ?>/synchrony.jpg" /></button>
        </div>
        <!-- Synchrony : Start -->
        <div id="synchrony-modal">
            <form name="dbuyform1" id="dbuyform1">
                <input type="hidden" name="processInd" value="1"/>
                <input type="hidden" name="tokenId" value=""/>
                <input type="hidden" name="merchantID" value="5348120770709186"/>
                <input type="hidden" name="clientTransId" value=""/>
                <button id="dbuymodel1-button" type="button" data-toggle="modal" data-target="#digBuyModal" onclick="syfDBuy.calldBuyProcess(this.form)">Pay</button>
            </form>             
        </div>
        <!-- Synchrony : End -->
    </div>
</div>

<?php if(HAS_SYNCHRONY == 1) { ?>
<script src="https://<?= $synchrony_api_keys['synchrony-test-acount'] == 1 ? 'u' : '' ?>buy.syf.com/digitalbuy/js/merchant_ff.js"></script>
<?php } ?>

<script>

{
    let delivery_type = '<?= $delivery_details["delivery_type"] ?>',
        delivery_zipcode = '<?= $delivery_zipcode ?>',
        has_delivery_with_install = <?= $delivery_details["has_delivery_with_install"] ?>,
        has_pickup_stores = <?= sizeof($pickup_stores) != 0 ? 1 : 0 ?>,
        pickup_store_id = <?= sizeof($pickup_stores) != 0 ? $pickup_stores[0]['id'] : 'null' ?>;

    if(delivery_zipcode != '') {
        $("#cart-new-zip-container").hide();
        $(".current-zip-code").text(delivery_zipcode);
        $("#shipping-zip").val(delivery_zipcode);
    }
    else {
        $("#cart-new-zip-container").show();
        $("#checkout-buttons-container").hide();
    }

    $("#delivery-container-cart-level").show();

    $("input[name='cart-delivery-option'][value='" + delivery_type + "']").prop('checked', true);

    if(has_pickup_stores == 1)
        $("input[name='cart-delivery-option'][value='PICKUP']").attr('data-pickup-store-id', pickup_store_id);
    else
        $("input[name='cart-delivery-option'][value='PICKUP']").closest('.cart-delivery-option-container').hide();

    if(has_delivery_with_install == 0)
        $("input[name='cart-delivery-option'][value='SHIP-INSTALL']").closest('.cart-delivery-option-container').hide();
}

var ShoppingCart = {
    ajax_url: '<?= AJAX_PAGE ?>',

    checkout_url: '<?= CHECKOUT_PAGE ?>',

    has_synchrony_checkout: <?= HAS_SYNCHRONY ?>,

    image_directory: '<?= IMG_DIRECTORY ?>',

    init: function() {
        this.getCart();
        this.addEvents();
    },

    addEvents: function() {
        var that = this;

        $(document).on('change', '.item-warranty-radio', function() {
            var warranty_id = $(this).val();
            var item_id = $(this).closest(".cart-item-container").attr('id');

            that.updateProductWarranty(item_id, warranty_id);
        });

        $(document).on('change', '.item-addon-checkbox', function() {
            var addon_id = $(this).val();
            var item_id = $(this).closest(".cart-item-container").attr('id');

            that.updateProductAddon(item_id, addon_id, this);
        });

        $(document).on('change', '.item-option-radio', function() {
            var options_list_id = $(this).val();
            var option_type_id = $(this).attr('data-option-type-id');
            var item_id = $(this).closest(".cart-item-container").attr('id');

            that.updateProductOption(item_id, option_type_id, options_list_id);
        });

        $(document).on('click', '.item-select-container-collapse', function() {
            if($(this).closest(".item-select-container").find(".item-select-all-options").is(":visible")) {
                $(this).closest(".item-select-container").find(".item-select-all-options").hide();
                $(this).html('+');
            }
            else {
                $(this).closest(".item-select-container").find(".item-select-all-options").show();
                $(this).html('&mdash;');
            }
        });

        $(document).on('click', '.cart-item-quantity-subtract[data-item-type="product"]', function() {
            var item_id = $(this).closest(".cart-item-container").attr('id'),
                current_quantity = $("#" + item_id).find(".cart-item-quantity-value").attr('data-quantity');

            if(current_quantity == 1)
                that.removeProduct(item_id);
            else
                that.updateProductQuantity(item_id, 'subtract');
        });

        $(document).on('click', '.cart-item-quantity-add[data-item-type="product"]', function() {
            var item_id = $(this).closest(".cart-item-container").attr('id');

            that.updateProductQuantity(item_id, 'add');
        });

        $(document).on('click', '.cart-item-remove-button[data-item-type="product"]', function() {
            var item_id = $(this).closest(".cart-item-container").attr('id');

            that.removeProduct(item_id);
        });

        $(document).on('mouseenter', '.item-select-option-tooltip', function() {
            $(this).find('.item-select-option-tooltip-text').show();
        });

        $(document).on('mouseleave', '.item-select-option-tooltip', function() {
            $(this).find('.item-select-option-tooltip-text').hide();
        });

        $(".checkout-lightbox-close-button").on('click', function() {
            $(this).closest('.checkout-lightbox-container').hide();
        });

        $(".change-zip-button").on('click', function() {
            $(this).closest(".cart-delivery-option-container").find("input[type='radio']").prop('checked', true);
            $("#cart-new-zip-container").show();
        });

        $(document).on("change", "input[name='cart-delivery-option']", function() {
            var delivery_type = $("input[name='cart-delivery-option']:checked").val();

            that.setDeliveryType(delivery_type);
        });

        $("#cart-set-zip-button").on('click', function() {
            var delivery_type = $("input[name='cart-delivery-option']:checked").val();

            that.setDeliveryType(delivery_type, $.trim($("#shipping-zip").val()));
        });

        $("#shopping-cart-clear-button").on('click', function() {
            that.clearCart();
        });

        $("#cart-apply-coupon-button").on('click', function() {
            var coupon_code = $.trim($("#cart-coupon-code").val()).toUpperCase();
            if(coupon_code == '')
                return;

            that.addCoupon(coupon_code);
        });

        $("#remove-coupon-code").on('click', function() {
            that.removeCoupon();
        });
    },

    getCart: function() {
        $("#shopping-cart-loader").show();

        $.ajax({
            type: 'GET',
            url: this.ajax_url,
            data: { operation: 'getCartItems' },
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                $("#shopping-cart-loader").hide();
                if(response['items'].length == 0) {
                    $("#shopping-cart-empty").show();
                }
                else {
                    this.showItems(response);
                    this.getCartPrice();
                }
            }, this),
            error: function(response) {
                
            }
        });
    },

    setDeliveryType: function(delivery_type, zip_code) {
        var zip_code_regex = /(^\d{5}$)|(^\d{5}-\d{4}$)/,
            delivery_level = $("#delivery-container-cart-level").is(":visible") ? 'cart' : 'product',
            post = { operation: 'setDeliveryType', delivery_type: delivery_type };

        if(zip_code !== undefined) {
            if(!zip_code_regex.test(zip_code)) {
                $("#shipping-zip").addClass('field-error');
                return;
            }

            post.zip_code = zip_code;
        }
        else if(delivery_type == 'PICKUP') {
            post.pickup_store = $("input[name='cart-delivery-option'][value='PICKUP']").attr('data-pickup-store-id');
        }

        $("#checkout-buttons-container").hide();
        $("input[name='" + delivery_level + "-delivery-option']").attr('disabled', 'disabled');

        $.ajax({
            type: 'POST',
            url: this.ajax_url,
            data: post,
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                $("input[name='" + delivery_level + "-delivery-option']").removeAttr('disabled');
                $("#checkout-buttons-container").show();

                if(zip_code !== undefined) {
                    $(".current-zip-code").text(zip_code);
                    $("#cart-new-zip-container").hide();
                }

                this.getCartPrice();
            }, this),
            error: function(response) {
                $("input[name='" + delivery_level + "-delivery-option']").removeAttr('disabled');

                var error = JSON.parse(response.responseText);

                $("#checkout-message").html('<span class="checkout-lightbox-error">' + error.message + '</span>');
                $("#checkout-message-container").show();
            }
        });
    },

    showItems: function(data) {
        var item_container_template,
            product_template,
            item_select_container_template,
            item_select_option_template,
            item_addon_option_template,
            product_info,
            item_id,
            option_type_id;

        for(var i=0; i<data['items'].length; i++) {
            item_id = data['items'][i]['item_id'];

            item_container_template = document.querySelector("#cart-item-container-template .cart-item-container").cloneNode(true);
            item_container_template.setAttribute('id', data['items'][i]['item_id']);

            if(data['items'][i]['type'] == 'product') {
                product_info = data['items'][i]['info'];

                product_template = document.querySelector("#cart-item-template .cart-item").cloneNode(true);
                product_template.querySelector(".cart-item-image img").setAttribute('src', product_info['image']);
                product_template.querySelector(".cart-item-name").href = product_info['url'];
                product_template.querySelector(".cart-item-brand").innerHTML = product_info['brand'];
                product_template.querySelector(".cart-item-title").innerHTML = product_info['title'];
                product_template.querySelector(".cart-item-model-value").innerHTML = product_info['model'];
                product_template.querySelector(".cart-item-price").innerHTML = '$' + product_info['price'];
                product_template.querySelector(".cart-item-quantity-update-container").setAttribute('data-item-type', 'product');
                product_template.querySelector(".cart-item-quantity-value").innerHTML = data['items'][i]['quantity'];
                product_template.querySelector(".cart-item-quantity-value").setAttribute('data-quantity', data['items'][i]['quantity']);
                product_template.querySelector(".cart-item-quantity-value").setAttribute('data-item-type', 'product');
                product_template.querySelector(".cart-item-quantity-subtract").setAttribute('data-item-type', 'product');
                product_template.querySelector(".cart-item-quantity-add").setAttribute('data-item-type', 'product');
                product_template.querySelector(".cart-item-remove-button").setAttribute('data-item-id', data['items'][i]['item_id']);
                product_template.querySelector(".cart-item-remove-button").setAttribute('data-item-type', 'product');

                if(product_info['warranty']['options'].length > 0) {
                    item_select_container_template = document.querySelector("#item-select-container-template .item-select-container").cloneNode(true);
                    item_select_container_template.querySelector(".item-select-title").classList.add('item-warranty-container');
                    item_select_container_template.querySelector(".item-select-title").innerHTML = 'Extended Warranty';
                    item_select_container_template.querySelector(".item-select-icon").src = this.image_directory + '/warranty-icon.svg';

                    /* extended warranties */
                    for(var j=0; j<product_info['warranty']['options'].length; j++) {
                        item_select_option_template = document.querySelector("#item-select-option-template .item-select-option-container").cloneNode(true);
                        item_select_option_template.querySelector("input[type='radio']").setAttribute('name', item_id + '-warranty');
                        item_select_option_template.querySelector("input[type='radio']").setAttribute('value', product_info['warranty']['options'][j]['id']);
                        item_select_option_template.querySelector("input[type='radio']").classList.add('item-warranty-radio');
                        if(product_info['warranty']['options'][j]['id'] == data['items'][i]['warranty'])
                            item_select_option_template.querySelector("input[type='radio']").checked = true;
                        item_select_option_template.querySelector(".item-select-option-title").innerHTML = product_info['warranty']['options'][j]['name'];
                        if(product_info['warranty']['options'][j]['price'] != '')
                            item_select_option_template.querySelector(".item-select-option-price").innerHTML = '$' + product_info['warranty']['options'][j]['price'];
                        if(product_info['warranty']['options'][j]['tooltip'] != '') {
                            item_select_option_template.querySelector(".item-select-option-tooltip").style.display = 'inline-block';
                            item_select_option_template.querySelector(".item-select-option-tooltip-text").innerHTML = product_info['warranty']['options'][j]['tooltip'];
                        }

                        item_select_container_template.querySelector(".item-select-all-options").appendChild(item_select_option_template);
                    }

                    /* standard warranty */
                    item_select_option_template = document.querySelector("#item-select-option-template .item-select-option-container").cloneNode(true);
                    item_select_option_template.querySelector("input[type='radio']").setAttribute('name', item_id + '-warranty');
                    item_select_option_template.querySelector("input[type='radio']").setAttribute('value', '');
                    item_select_option_template.querySelector("input[type='radio']").classList.add('item-warranty-radio');
                    if(data['items'][i]['warranty'] === null)
                        item_select_option_template.querySelector("input[type='radio']").checked = true;
                    item_select_option_template.querySelector(".item-select-option-title").innerHTML = 'Standard Manufacturer Warranty';
                    item_select_container_template.querySelector(".item-select-all-options").appendChild(item_select_option_template);

                    product_template.appendChild(item_select_container_template);
                }

                if(product_info['addons'].length > 0) {
                    item_select_container_template = document.querySelector("#item-select-container-template .item-select-container").cloneNode(true);
                    item_select_container_template.querySelector(".item-select-title").classList.add('item-addons-container');
                    item_select_container_template.querySelector(".item-select-title").innerHTML = 'Accessories';
                    item_select_container_template.querySelector(".item-select-icon").src = this.image_directory + '/addons-icon.svg';

                    /* extended warranties */
                    for(j=0; j<product_info['addons'].length; j++) {
                        item_addon_option_template = document.querySelector("#item-addon-option-template .item-addon-option-container").cloneNode(true);
                        item_addon_option_template.querySelector("input[type='checkbox']").setAttribute('value', product_info['addons'][j]['id']);
                        
                        if(data['items'][i]['addons'].indexOf(product_info['addons'][j]['id']) != -1)
                            item_addon_option_template.querySelector("input[type='checkbox']").checked = true;
                        
                        item_addon_option_template.querySelector(".item-addon-option-title").innerHTML = product_info['addons'][j]['description'];
                        item_addon_option_template.querySelector(".item-addon-option-price").innerHTML = '$' + product_info['addons'][j]['price'];
                        
                        item_select_container_template.querySelector(".item-select-all-options").appendChild(item_addon_option_template);
                    }

                    product_template.appendChild(item_select_container_template);
                }

                if(product_info['options'].length > 0) {
                    for(j=0; j<product_info['options'].length; j++) {
                        option_type_id = product_info['options'][j]['option_type_id'];

                        item_select_container_template = document.querySelector("#item-select-container-template .item-select-container").cloneNode(true);
                        item_select_container_template.querySelector(".item-select-title").classList.add('item-options-container');
                        item_select_container_template.querySelector(".item-select-title").innerHTML = product_info['options'][j]['option_type'];
                        item_select_container_template.querySelector(".item-select-icon").src = this.image_directory + '/addons-icon.svg';

                        /* options list */
                        for(k=0; k<product_info['options'][j]['options_list'].length; k++) {
                            item_mics_option_template = document.querySelector("#item-mics-option-template .item-mics-option-container").cloneNode(true);
                            item_mics_option_template.querySelector("input[type='radio']").setAttribute('name', option_type_id + '-option');
                            item_mics_option_template.querySelector("input[type='radio']").classList.add('item-option-radio');
                            item_mics_option_template.querySelector("input[type='radio']").setAttribute('value', product_info['options'][j]['options_list'][k]['id']);
                            item_mics_option_template.querySelector("input[type='radio']").setAttribute('data-option-type-id', option_type_id);
                            if(data['items'][i]['options']['option-' + option_type_id] == product_info['options'][j]['options_list'][k]['id'])
                                item_mics_option_template.querySelector("input[type='radio']").checked = true;
                            item_mics_option_template.querySelector(".item-mics-option-title").innerHTML = product_info['options'][j]['options_list'][k]['title'];
                            item_mics_option_template.querySelector(".item-mics-option-price").innerHTML = '$' + product_info['options'][j]['options_list'][k]['price'];
                            
                            item_select_container_template.querySelector(".item-select-all-options").appendChild(item_mics_option_template);
                        }

                        /* no option selected */
                        item_mics_option_template = document.querySelector("#item-mics-option-template .item-mics-option-container").cloneNode(true);
                        item_mics_option_template.querySelector("input[type='radio']").setAttribute('name', option_type_id + '-option');
                        item_mics_option_template.querySelector("input[type='radio']").classList.add('item-option-radio');
                        item_mics_option_template.querySelector("input[type='radio']").setAttribute('value', '0');
                        item_mics_option_template.querySelector("input[type='radio']").setAttribute('data-option-type-id', option_type_id);
                        if(!(('option-' + option_type_id) in data['items'][i]['options']))
                            item_mics_option_template.querySelector("input[type='radio']").checked = true;
                        item_mics_option_template.querySelector(".item-mics-option-title").innerHTML = 'No Selection';
                        item_select_container_template.querySelector(".item-select-all-options").appendChild(item_mics_option_template);

                        product_template.appendChild(item_select_container_template);

                    }
                }

                item_container_template.appendChild(product_template);
            }

            document.querySelector("#shopping-cart-all-items").appendChild(item_container_template);
        }

        document.querySelector("#shopping-cart-inner-container").style.display = 'block';
        document.querySelector("#shopping-cart-num-items-value").innerHTML = data['items'].length;
        document.querySelector("#cart-id").innerHTML = data['cart_id'];
    },

    getCartPrice: function() {
        $("#cart-price-loader-container").show();

        $.ajax({
            type: 'GET',
            url: this.ajax_url,
            data: { operation: 'getCartItemListWithPrices' },
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                $("#cart-price-loader-container").hide();
                this.showCartPrice(response);
            }, this),
            error: function(response) {
                
            }
        });
    },

    showCartPrice: function(data) {
        var cart_summary_item_template;

        document.querySelector("#cart-summary-items-container").innerHTML = '';
        for(var i=0; i<data['items'].length; i++) {
            cart_summary_item_template = document.querySelector("#cart-summary-item-template .cart-price-field").cloneNode(true);
            cart_summary_item_template.querySelector(".cart-summary-item-name").innerHTML = data['items'][i]['name'];
            cart_summary_item_template.querySelector(".cart-summary-item-quantity").innerHTML = 'Qty: ' + data['items'][i]['quantity'];
            cart_summary_item_template.querySelector(".cart-price-field-value").innerHTML = data['items'][i]['total_price_formatted'];

            document.querySelector("#cart-summary-items-container").appendChild(cart_summary_item_template);
        }

        document.querySelector("#cart-subtotal-value").innerHTML = data['subtotal_price']['formatted_price'];
        document.querySelector("#cart-shipping-value").innerHTML = data['shipping_price']['formatted_price'];
        document.querySelector("#cart-tax-value").innerHTML = data['tax_price']['formatted_price'];
        document.querySelector("#cart-total-value").innerHTML = data['total_price']['formatted_price'];

        document.querySelector("#cart-savings-value").innerHTML = '- ' + data['discount_price']['formatted_price'];
        if(parseInt(data['discount_price']['price'], 10) == 0) {
            $("#cart-savings").hide();
            $("#cart-coupon-code-output").hide();
            $("#cart-coupon-code-input").show();
            $("#cart-coupon-code").val('');
        }
        else {
            $("#cart-savings").show();
            $("#cart-coupon-code-output").show();
            $("#cart-coupon-code-input").hide();
            $("#current-coupon-code").text(data['discount_price']['coupon_code']);
            $("#current-coupon-text").text(data['discount_price']['coupon_code_text']);
        }

        if(data['tax_price']['price'] == 'NA') {
            $("#cart-tax em").show();
            $("#cart-message").show();
        }
        else {
            $("#cart-tax em").hide();
            $("#cart-message").hide();
        }

        document.querySelector("#cart-summary-upper").style.display = 'block';
        document.querySelector("#cart-buttons-container").style.display = 'block';
    },

    checkCartEmpty: function() {
        if($("#shopping-cart-container .cart-item-container").length == 0) {
            $("#shopping-cart-inner-container").hide();
            $("#shopping-cart-empty").show();
        }
    },

    updateProductWarranty: function(item_id, warranty_id) {
        $("#" + item_id).find(".item-warranty-radio").attr('disabled', 'disabled');

        $.ajax({
            type: 'POST',
            url: this.ajax_url,
            data: { operation: 'updateProductWarrantyFromCart', item_id: item_id, warranty_id: warranty_id },
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                $("#" + item_id).find(".item-warranty-radio").removeAttr('disabled');
                
                this.getCartPrice();
            }, this),
            error: function(response) {
                $("#" + item_id).find(".item-warranty-radio").removeAttr('disabled');
            }
        });
    },

    updateProductAddon: function(item_id, addon_id, checkbox_element) {
        $(checkbox_element).attr('disabled', 'disabled');

        $.ajax({
            type: 'POST',
            url: this.ajax_url,
            data: { operation: 'updateProductAddonFromCart', item_id: item_id, addon_id: addon_id, update_type: $(checkbox_element).is(":checked") ? 'ADD' : 'REMOVE' },
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                $(checkbox_element).removeAttr('disabled');
                
                this.getCartPrice();
            }, this),
            error: function(response) {
                $(checkbox_element).removeAttr('disabled');
            }
        });
    },

    updateProductOption: function(item_id, option_type_id, options_list_id) {
        $("#" + item_id).find(".item-option-radio[name='" + option_type_id + "-option']").attr('disabled', 'disabled');

        $.ajax({
            type: 'POST',
            url: this.ajax_url,
            data: { operation: 'updateProductOptionFromCart', item_id: item_id, option_type_id: option_type_id, options_list_id: options_list_id },
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                $("#" + item_id).find(".item-option-radio[name='" + option_type_id + "-option']").removeAttr('disabled');
                
                this.getCartPrice();
            }, this),
            error: function(response) {
                $("#" + item_id).find(".item-option-radio[name='" + option_type_id + "-option']").removeAttr('disabled');
            }
        });
    },

    updateProductQuantity: function(item_id, type) {
        $("#" + item_id).find(".cart-item-quantity-update-container[data-item-type='product'] button").attr('disabled', 'disabled');

        $.ajax({
            type: 'POST',
            url: this.ajax_url,
            data: { operation: (type == 'add' ? 'addOneProductQuantityFromCart' : 'removeOneProductQuantityFromCart'), item_id: item_id },
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                $("#" + item_id).find(".cart-item-quantity-update-container[data-item-type='product'] button").removeAttr('disabled');
                $("#" + item_id).find(".cart-item-quantity-value[data-item-type='product']").text(response.current_quantity).attr('data-quantity', response.current_quantity); 

                this.getCartPrice();               
            }, this),
            error: function(response) {
                $("#" + item_id).find(".cart-item-quantity-update-container[data-item-type='product'] button").removeAttr('disabled');
            }
        });
    },

    removeProduct: function(item_id) {
        $("#" + item_id).find(".cart-item-quantity-update-container[data-item-type='product'] button").attr('disabled', 'disabled');
        $("#" + item_id).find(".cart-item-remove-button[data-item-type='product']").attr('disabled', 'disabled');

        $.ajax({
            type: 'POST',
            url: this.ajax_url,
            data: { operation: 'removeProductFromCart', item_id: item_id },
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                $("#" + item_id).find(".cart-item-quantity-update-container[data-item-type='product'] button").removeAttr('disabled');
                $("#" + item_id).find(".cart-item-remove-button[data-item-type='product']").removeAttr('disabled');

                $("#" + item_id).remove();
                $("#shopping-cart-num-items-value").text($("#shopping-cart-all-items .cart-item").length);

                this.checkCartEmpty();
                this.getCartPrice();               
            }, this),
            error: function(response) {
                $("#" + item_id).find(".cart-item-quantity-update-container[data-item-type='product'] button").removeAttr('disabled');
                $("#" + item_id).find(".cart-item-remove-button[data-item-type='product']").removeAttr('disabled');
            }
        });
    },

    clearCart: function() {
        $.ajax({
            type: 'GET',
            url: this.ajax_url,
            data: { operation: 'clearCart' },
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                $("#shopping-cart-inner-container").hide();
                $("#shopping-cart-empty").show();
            }, this),
            error: function(response) {
                
            }
        });
    },

    addCoupon: function(coupon_code) {
        $("#cart-apply-coupon-button").attr('disabled', 'disabled');

        $.ajax({
            type: 'POST',
            url: this.ajax_url,
            data: { operation: 'addCoupon', coupon_code: coupon_code },
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                $("#cart-apply-coupon-button").removeAttr('disabled');

                this.getCartPrice();               
            }, this),
            error: function(response) {
                $("#cart-apply-coupon-button").removeAttr('disabled');

                var error = JSON.parse(response.responseText);

                $("#checkout-message").html('<span class="checkout-lightbox-error">' + error.message + '</span>');
                $("#checkout-message-container").show();
            }
        });
    },

    removeCoupon: function() {
        $("#remove-coupon-code").attr('disabled', 'disabled');

        $.ajax({
            type: 'POST',
            url: this.ajax_url,
            data: { operation: 'removeCoupon' },
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                $("#remove-coupon-code").removeAttr('disabled');

                this.getCartPrice();               
            }, this),
            error: function(response) {
                $("#cart-apply-coupon-button").removeAttr('disabled');

                var error = JSON.parse(response.responseText);

                $("#checkout-message").html('<span class="checkout-lightbox-error">' + error.message + '</span>');
                $("#checkout-message-container").show();
            }
        });
    }
};

ShoppingCart.init();

var SynchronyCheckout = {
    init: function() {
        var synchrony_template = document.querySelector("#synchrony-checkout-template #synchrony-container").cloneNode(true);
        $(synchrony_template).insertAfter("#cart-checkout-button");
        $("#synchrony-checkout-template").remove();
        
        this.addEvents();
    },

    addEvents: function() {
        var that = this;

        $("#synchrony-start-button").on('click', function() {
            that.getSynchronyToken();
        });

        window.addEventListener("message", function(event) {
            if(typeof event.data == 'string' && (event.data == 'Close Model' || event.data == 'Return To Merchant Shipping')) {
                $.ajax({
                    type: 'POST',
                    url: ShoppingCart.ajax_url,
                    data: { operation: 'getSynchronyPaymentStatusFromCart' },
                    cache: false,
                    dataType: 'JSON',
                    success:function(response) {
                       if('ZipCode' in response) {
                            document.location.href = ShoppingCart.checkout_url;
                       }
                    },
                    error: function(response) {
                        $("#synchrony-start-button").removeAttr('disabled').css('opacity', '1');

                        var error = JSON.parse(response.responseText);
                        $("#checkout-message").html('<span class="checkout-lightbox-error">' + error.message + '</span>');
                        $("#checkout-message-container").show();
                    }
                });
            }
        });
    },

    getSynchronyToken: function() {
        var that = this;

        $("#synchrony-start-button").attr('disabled', 'disabled').css('opacity', '0.7');
        $.ajax({
            type: 'GET',
            url: ShoppingCart.ajax_url,
            data: { operation: 'getSynchronyClientToken' },
            cache: false,
            dataType: 'JSON',
            success: $.proxy(function(response) {
                $("#synchrony-modal input[name='tokenId']").val(response.synchrony_client_token);
                $("#synchrony-modal input[name='clientTransId']").val(response.cart_id);
                $("#dbuymodel1-button").click();
            }, this),
            error: function(response) {
                $("#synchrony-start-button").removeAttr('disabled').css('opacity', '1');

                var error = JSON.parse(response.responseText);
                $("#checkout-message").html('<span class="checkout-lightbox-error">' + error.message + '</span>');
                $("#checkout-message-container").show();
            }
        });
    }
};

if(ShoppingCart.has_synchrony_checkout == 1) {
    SynchronyCheckout.init();
}

</script>

</body>
</html>